mariadb (1:11.8.6-1) unstable; urgency=medium

  * Update d/watch to use uscan v5 format
  * New upstream maintenance release 11.8.6. For details about fixes please see
    https://mariadb.com/docs/release-notes/community-server/11.8/11.8.6
  * Update server trace to include new 'new-mode' value 'FIX_INDEX_LOOKUP_COST'
  * This release does not include any CVE addressing security fixes based on
    https://mariadb.com/docs/server/security/securing-mariadb/security nor is
    it known to fix any issues tracked in bugs.debian.org or launchpad.net

 -- Otto Kekäläinen <otto@debian.org>  Sat, 07 Feb 2026 08:08:08 +0000

mariadb (1:11.8.5-4) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Add tentative upstream patch to fix amd64v3 build issues (MDEV-38398)
  * Drop redundant `Priority: optional`
  * Update Debian copyright for 2026
  * Bump Debian Policy version

  [ Aquila Macedo ]
  * Drop obsolete library-not-linked-against-libc overrides
  * Ship upstream sysusers.d mariadb.conf in mariadb-server (Closes: #1028271)
  * Add patch sysusers-lock-mysql-account.patch
  * Create mysql via sysusers in postinst, drop preinst adduser handling
  * Drop adduser pre-depends, depend on systemd-sysusers provider
  * Clarify NIS/YP debconf note for sysusers mysql account creation
  * Update all translations to match updated template

 -- Otto Kekäläinen <otto@debian.org>  Tue, 13 Jan 2026 19:03:57 +0000

mariadb (1:11.8.5-3) unstable; urgency=medium

  * MDEV-23538: Rename mariadb.pc to mariadb-server-embedded.pc to avoid
    confusion, as well as sync other misc Debian packaging improvements from
    upstream
  * Drop transitional dummy package `mariadb-server-10.5`
  * Make mariadb-test-run logs more informative to make debugging failures
    in Debian/Ubuntu build and autopkgtest logs easier
  * Remove override for test 'main.mysql-interactive' and extensively document
    and ensure all the mariadb-test-run skip lists are current
  * Add tentative upstream patch to fix main.mysqld--help-aria test failure
  * Add upstream patch to fix test innodb_log_file_size failures
  * Add upstream patch to fix test innodb.log_corruption_recovery failures
  * Add patch to fix Spider test failures in networkless environments

 -- Otto Kekäläinen <otto@debian.org>  Mon, 15 Dec 2025 20:00:00 -0800

mariadb (1:11.8.5-2) unstable; urgency=medium

  [ Aquila Macedo ]
  * Relax perl client dependencies in mariadb-client (Closes: #1115678)

  [ Otto Kekäläinen ]
  * Make all MariaDB client plugins available in server plugin path
  * Ensure dh_missing runs as intended in debian/rules
  * Install upstream generated symlinks/binaries/manpages
  * Fix misc typos and in Debian packaging
  * Update Lintian overrides to clean away false positives and remove obsolete
    Lintian overrides

  [ MichaIng ]
  * Make mariadb-common postinstallation script robust for situations where
    the /etc/mysql/mariadb.cnf file for any reason was deleted on the system
    so that the install/upgrade completes regardless

 -- Otto Kekäläinen <otto@debian.org>  Sat, 06 Dec 2025 10:38:02 -0800

mariadb (1:11.8.5-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream maintenance release 11.8.5. For details about fixes please see
    https://mariadb.com/docs/release-notes/community-server/11.8/11.8.5
  * The version 11.8.4 was skipped in Debian (and Ubuntu) as it has a severe
    regression causing partial data deletion when using the DELETE statement on
    MyISAM or Aria tables under specific conditions (MDEV-38068)
  * For details about fixes in 11.8.4 please see
    https://mariadb.com/docs/release-notes/community-server/11.8/11.8.4
  * This release does _not_ include any CVE tracked security fixes as per
    https://mariadb.com/docs/server/security/securing-mariadb/security
  * The MariaDB 11.8.4 did have a fix for mariadb-dump failing to run if a
    for any table with a slash in the name. This has no actual exploit and
    requires the attacker to already have access to the database so they can
    create tables with arbitrary names. Trend Micro did however publish:
    - CVE-2025-13699
  * Update server trace to include new parameters and values
  * Already existing plugins marked ready for general availability by upstream
    in this release: uuid_v4, uuid_v7 and inet4
  * Add Lintian override for false error in test plugin
  * Patch new upstream test main.alter_merge to allow 'from Debian'
  * Add libcrypt-dev to Build-Depends (Closes: #1106944)
  * Extend unstable tests to skip for sparc64 and x32
  * Remove Rules-Requires-Root
  * Update patch Forwarded fields to reflect latest status
  * Salsa CI: Disable running `gbp setup-gitattributes`
  * Salsa CI: Fix typos introduced in 855bc4f6
  * Salsa CI: Disable the new 'debrebuild' job for MariaDB due to timeouts

  [ Daniel Black ]
  * MDEV-37411: Re-enable AIO in Debian
  * MDEV-15502: use tmpfiles with systemd (Closes: #1028272)
  * MDEV-37776: shlibs:Depends shouldn't be explicit

  [ Jean Weisbuch ]
  * MDEV-37852: Fix mytop connection to localhost (Closes: #1109394)

  [ Christian Hesse ]
  * MDEV-35904/MDEV-19210: use environment file in systemd units for
    _WSREP_START_POSITION (Closes: #1105029)

  [ Aquila Macedo ]
  * Add patch for new PCRE2 version 10.47 offset change (Closes: #1119866)
  * Salsa CI: install build-essential for Python-MySQLdb job (Closes: #1121027)
  * Salsa CI: keep provider plugins in sync in bookworm -> sid upgrade job

  [ Sergei Golubchik ]
  * MDEV-37600: Implement caching_sha2_password plugin for MySQL compatibility

  [ Helge Kreutzmann ]
  * Update German translation of debconf messages (Closes: #1120669)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 29 Nov 2025 09:48:55 -0800

mariadb (1:11.8.3-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream maintenance release 11.8.3. For details about fixes please see
    https://mariadb.com/kb/en/mariadb-11-8-3-release-notes/
  * Drop Hurd patches that are now included upstream
  * Update configuration traces to include new upstream system variables:
    - analyze-max-length (default: 4294967295)
    - innodb-linux-aio (default: auto)
  * Suppress new native AIO warning introduced in upstream a87bb96 to avoid
    mariadb-test-run failing on on something that isn't a real issue
  * New upstream release includes fix for MDEV-36815 that yielded "ERROR 1267
    (HY000): Illegal mix of collations" on some systems when restarting the
    MariaDB service in Debian (Closes: #1104533)
  * Remove obsolete cleanup as upstream moved pam_mariadb_mtr.so in c05b1fe
  * Salsa CI: Use full MariaDB package set in Bookworm MariaDB 10.6 upgrade
  * Salsa CI: Automatically use archive.d.o for discontinued releases

  [ Lena Voytek ]
  * Do not hardcode libxml2 dependency in mariadb-plugin-connect
    (Closes: #1106889)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 08 Aug 2025 10:42:35 -0700

mariadb (1:11.8.2-1) unstable; urgency=medium

  * New upstream version 11.8.2, which also announces the 11.8 series now
    ready for general availability (GA) with security releases for 5 years.
    This release includes fixes for several defects as noted at
    https://mariadb.com/kb/en/mariadb-11-8-2-release-notes/ as well
    the following security issues (Closes: #1100437, #1105976):
    - CVE-2023-52969
    - CVE-2023-52970
    - CVE-2023-52971
    - CVE-2025-30693
    - CVE-2025-30722
  * Drop all RocksDB patches now upstream due to update to version 6.29fb
  * Drop PCRE2 10.45 compatibility patch obsoleted by upstream test change
  * Update configuration traces to include new upstream system variables:
    - innodb-buffer-pool-size-auto-min (default: 0)
    - innodb-buffer-pool-size-max (default: 0)
    - innodb-log-checkpoint-now (default: FALSE)
  * Also update configuration traces to match that in 11.8.2 the variables
    innodb-buffer-pool-chunk-size and innodb-log-spin-wait-delay are advertised
    as deprecated.
  * Disable new unreliable test main.mysql-interactive
  * Add Breaks/Replaces for files moved around in src:mysql-8.4 (LP: #2110378)
  * Update mariadb-server.NEWS with information about MariaDB 11.8 and
  * best practices for creating app user and allowing remote connections
  * Add patch to improve output from mariadb-secure-installation

 -- Otto Kekäläinen <otto@debian.org>  Sun, 08 Jun 2025 11:19:07 +0300

mariadb (1:11.8.1-5) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Disable additional tests that failed on sparc64 (MDEV-36670)
  * Have all server plugins depend on mariadb-server-core (Closes: #1039702)
  * Make plugin dependencies on mariadbd on strictly versioned
    (Closes: #1057708)
  * Remove redundant BSD license comment in debian/copyright
  * Remove unnecessary arch from dh_installinit rule
  * Make COMPILATION_COMMENT and MYSQL_SERVER_SUFFIX more useful
  * Several improvements to Salsa CI, Lintian overrides and other quality
    assurance for Debian 13 "Trixie"

  [ Jing Luo ]
  * d/upstream/metadata: change github url protocol from git to https
  * d/copyright: remove old FSF address
  * d/copyright: move "On Debian systems..." to comment stanza
  * d/copyright: misc fixes, remove the full text of BSD-3 and Artistic

 -- Otto Kekäläinen <otto@debian.org>  Mon, 26 May 2025 09:23:46 -0700

mariadb (1:11.8.1-4) unstable; urgency=medium

  * Disable main.mysqld--help-aria test that failed on nearly every
    architecture in previous upload due to new upstream issue (MDEV-36334)
  * Disable some vector related tests that failed on sparc64 (MDEV-36670)
  * Backport main.func_format fix for exabyte/petabyte mismatch on i386

 -- Otto Kekäläinen <otto@debian.org>  Wed, 23 Apr 2025 07:29:38 -0700

mariadb (1:11.8.1-3) unstable; urgency=medium

  * Add patch to have CEST as allowed in main.timezone test (Closes: #1084293)
  * Backport revert of CONC-710 that broke building UDFs (Closes: #1101397)
  * Backport systemd service fix for restarts on crashes (Closes: #1073847)
  * Update standards version to 4.7.2, no changes needed
  * Re-enable tests that were passing recently in experimental when MariaDB
    Debian revision 1:11.4.5-2~exp1 built or which otherwise was confirmed to
    passing now: mariabackup.encrypted_page_corruption, mariadb_upgrade,
    MDEV-22243, MDEV-23427, MDEV-23921, MDEV-27955, MDEV-30518, MDEV-30676,
    MDEV-30728, MDEV-30918, MDEV-30929, MDEV-31349, MDEV-33520, MDEV-33520,
    MDEV-34084, MDEV-34733, MDEV-34781, MDEV-34788, MDEV-36334

 -- Otto Kekäläinen <otto@debian.org>  Sat, 19 Apr 2025 12:06:11 -0700

mariadb (1:11.8.1-2) unstable; urgency=medium

  * Disable test func_format on i386 (MDEV-36334) to get i386 builds
    pass on official Debian buildd while upstream fixes the issue
  * Restore better error message on service stop failures from c789cdaf
  * Revert "Set CAP_IPC_LOCK capability if possible" to follow upstream

 -- Otto Kekäläinen <otto@debian.org>  Thu, 20 Mar 2025 12:31:04 -0700

mariadb (1:11.8.1-1) unstable; urgency=medium

  * New major upstream release candidate MariaDB 11.8, which is going to be the
    next Long-Term Supported (LTS) version. For an overview of what is new in
    the upstream release, see
    https://mariadb.com/kb/en/changes-improvements-in-mariadb-11-8/.
  * Update d/watch for MariaDB 11.8 series
  * Update references to 11.4 with 11.8
  * Drop 'utf8mb4' config as 'utf8mb4' and 'uca1400_ai_ci' is now default
  * Include new authentication plugin PARSEC
  * Temporarily disable the new SBOM generation incompatible with Debian
  * Ensure mariadb-server-core can overwrite mariadb-server-compat
  * Update configuration traces for 11.8(.1)
  * Drop unused dh-exec from libmariadb-dev-compat.links
  * Disable main.view test on sparc64 as it seems permanently failing now
  * Complete and unfuzz all incomplete translations
  * Add Hindi and Korean translations for MariaDB debconf templates
  * Update Lintian overrides/mismatches
  * Manually strip debug symbols from libmariadbd.a
  * Fix incorrect SIGTERM/SIGKILL use in 98c3c0730

 -- Otto Kekäläinen <otto@debian.org>  Thu, 13 Mar 2025 13:58:11 -0700

mariadb (1:11.4.5-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 11.4.5. Includes fixes for several defects
    as noted at https://mariadb.com/kb/en/mariadb-11-4-5-release-notes/ as well
    the following security issues:
    - CVE-2025-21490
  * Include new packaging changes done upstream:
    - MDEV-35907: debian-start script fails when using non-standard socket path
    - MCOL-5819: Disable LTO for ColumnStore, otherwise enabled by default
    - MDEV-32686: Include ELF package notes
  * Update configuration traces to match changes done in MDEV-35785
  * Update configuration traces with new query allocator values from MDEV-35750
  * Build MariaDB RocksDB on loong64 now too
  * Fix minor typos in Debian packaging files
  * Fix broken links in d/copyright
  * Unify spelling fix patches into one, and fix spelling of Enrypt->Encrypt

  [ Matthew Vernon ]
  * Add patch to fix `main.func_regexp_pcre` failing with latest PCRE2 10.45
    due to backwards-incompatible case-sensitivity change in behavior in latest
    PCRE2 version (Closes: #1095286)

  [ Joe Bliss ]
  * Revert backticks change in commit 0300a915 to be compatible with databases
    containing hyphenated table names (LP: #2085554)

 -- Otto Kekäläinen <otto@debian.org>  Wed, 19 Feb 2025 08:57:57 -0800

mariadb (1:11.4.4-3) unstable; urgency=medium

  * Set CAP_IPC_LOCK capability if possible
  * Stop depending on obsolete libpmem-dev, re-implemented in MariaDB
  * Clean away duplicate wsrep-provider from configuration traces
  * Add upstream patch to ensure innodb_log_file_mmap is always visible
  * Add patch to use the same innodb_log_file_mmap description on all systems

 -- Otto Kekäläinen <otto@debian.org>  Sun, 12 Jan 2025 14:10:40 -0800

mariadb (1:11.4.4-2) unstable; urgency=medium

  * Disable main.mysqld--help-aria on all architectures as if seems
    they are all now affected by https://jira.mariadb.org/browse/MDEV-34733

 -- Otto Kekäläinen <otto@debian.org>  Sat, 21 Dec 2024 22:22:48 -0800

mariadb (1:11.4.4-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 11.4.4. Includes fixes for several severe regressions
    as noted at https://mariadb.com/kb/en/mariadb-11-4-4-release-notes/. This
    release is not known to include any CVE assigned security fixes.
  * MariaDB 11.4.4 includes fix to crashes related to SST from older MariaDB
    versions (Closes: #1089142)
  * Update server trace to include new parameters and values. This includes now
    MariaDB client parameter 'quick-max-column-width' and new MariaDB Server
    parameters 'innodb-log-file-mmap' and 'optimizer-join-limit-pref-ratio'.
    Also the parameters 'innodb-lru-flush-size' and
    'innodb-purge-rseg-truncate-frequency' seems to have been removed.
  * Update MTR skiplists based on buildd results after 1:11.4.3-1 upload, but
    re-enable main.having_cond_pushdown fixed in latest release (MDEV-34650)
  * Rename README.Contributor to README.source.md
  * Update debian/patches to be compatible with `gbp pq` to avoid `quilt`.
  * Update Lintian overrides for libmariadb-dev regarding man page syntax.
  * Add patch to fix Lintian nag about spelling of 'allows one to' and drop one
    patch about spelling fixes that got applied upstream.
  * Apply `debputy reformat --style black`.
  * Allow use of patched libfmt-dev 10.1.1 with thousands separator fixed
    (Related: #1086722, Closes: #1088198).
  * Add patch to revert mysqlbinlog related regression MDEV-35528
  * To follow gbp pq practices, place DEP-3 headers at the end of patches
  * Thanks to Jing Luo for review!

  [ Phil Dibowitz ]
  * Add some info on getting back to passwordless root (Closes: #1088133)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 12 Dec 2024 21:56:05 -0800

mariadb (1:11.4.3-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 11.4.3. Includes fixes for several severe regressions
    as noted at https://mariadb.com/kb/en/mariadb-11-4-3-release-notes/. This
    release is not known to include any CVE assigned security fixes.
  * Add Lintian override for metadata_lock_info.so not linked against libc
  * Update Lintian overrides and MTR skiplists after 11.4.3 import
  * Update server trace to include new parameters and values
  * Refactor import * with only required imports
  * Import upstream debian/ changes from MDEV-33750
  * Pre-depend on 'procps' in mariadb-server
  * Use /usr/lib/lsb/init-functions instead of old /lib location
  * Rewrite the NEWS item to match latest status in MariaDB 11.4.3
  * Extend gbp.conf and update maintainer READMEs to make git-buildpackage
    and in general building and maintaining this package easier and more
    approachable by new contributors

  [ Bastien Roucariès ]
  * Add NEWS file

 -- Otto Kekäläinen <otto@debian.org>  Sun, 18 Aug 2024 21:59:29 -0700

mariadb (1:11.4.2-4) unstable; urgency=medium

  * Revert move of 'mysqld_safe' to compat package to avoid breaking pdns

 -- Otto Kekäläinen <otto@debian.org>  Fri, 12 Jul 2024 20:52:32 -0700

mariadb (1:11.4.2-3) unstable; urgency=medium

  * Make compile_time_assert compatible with x32 (Closes: #1063738)
  * Revert "Stop building the embedded server to save disk space"
    (Closes: #1074670)

 -- Otto Kekäläinen <otto@debian.org>  Sun, 07 Jul 2024 21:59:40 -0700

mariadb (1:11.4.2-2) unstable; urgency=medium

  * Disable the 'mysql*' command deprecation warning
  * Revert move of 'mysqldump' to compat package to avoid breaking dependencies
  * Revert move of 'mysqladmin' to compat package to avoid breaking dependencies
  * Use correct 1:11.0.0 version in Breaks/Replaces (Closes: #1074566)

 -- Otto Kekäläinen <otto@debian.org>  Mon, 01 Jul 2024 15:41:57 -0700

mariadb (1:11.4.2-1) unstable; urgency=medium

  * New upstream major version 11.4.2. Includes new features as noted at
    https://mariadb.com/kb/en/mariadb-11-4-2-release-notes/ for this
    minor release that got announced for General Availabily and
    https://mariadb.com/kb/en/changes-improvements-in-mariadb-11-4/
    for an overview of what the MariaDB 11.4 series brings.
  * Use new '/usr/share/mariadb' path instead of deprecated 'mysql' equivalent
  * Use new 'mariadb-test' path and name instead of deprecated 'mysql-test'
  * Use command 'mariadb' instead of deprecated 'mysql'
  * Don't stop autopkgtest configuration-tracing on errors early
  * Update server trace to include new parameters and values
  * Add build/test dependency libnet-ssleay-perl
  * Partially sync debian/ with upstream MariaDB 11.4.2
  * Fix all Lintian errors, and more, for MariaDB 11.4.2
  * Make transitional mariadb-server-10.5 package compatible with 11.4
  * Stop building the embedded server to save disk space
  * When shutting down 'mariadbd', fallback to 'mysqld'

 -- Otto Kekäläinen <otto@debian.org>  Sun, 23 Jun 2024 21:46:13 -0700

mariadb (1:10.11.8-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.11.8. Includes fixes for several severe regressions
    as noted at https://mariadb.com/kb/en/mariadb-10-11-8-release-notes/ as well
    as security issues:
    - CVE-2024-21096
  * Add CMake flag to ignore libfmt exit code so cross-building works
  * Extend skip test list for latest failures in reproducible builds on armhf
  * Disable tests that fail on armhf when full test suite is run
  * Remove temporary exceptions for bugs that should by now be fixed
  * MDEV-31530 Localizations for Swahili language
  * Update Innotop to be compatible with MariaDB 11.x series
  * Replace use of trailing line `| \` with just `|` in Bash scripts
  * Remove libmariadb file no longer present in MariaDB Connector C v3.3
  * Replace autopkgtest smoke test dependency hack with arch list
  * Update client program 'mariadb' trace to match new libmariadb v3.3
    - New parameter 'sandbox' to fix a vulnerability and new mariadb-dump
      output that always has the sandbox header and is backwards incompatible
  * Update server trace to include new parameters innodb-log-spin-wait-delay
    and innodb-snapshot-isolation
  [ Michael Biebl ]
  * Ensure debconf database is purged after it has been used in postrm

  [ Svante Signell ]
  * Make hurd-i386 build fully pass (Closes: #1069094)


 -- Otto Kekäläinen <otto@debian.org>  Thu, 16 May 2024 22:02:04 -0700

mariadb (1:10.11.7-4) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop unnecessary mariadb-server.prerm (Closes: #1067491)
  * Rely on dh_installsystemd to stop the service in postrm

  [ Otto Kekäläinen ]
  * Remove direct dependencies on libcurl4 (Closes: #1068403, #1068404)
  * Make tests compatible with OpenSSL 3.2.0

 -- Otto Kekäläinen <otto@debian.org>  Sat, 13 Apr 2024 11:07:08 -0700

mariadb (1:10.11.7-3) unstable; urgency=medium

  * Add 'dpkg-dev (>= 1.22.5)' to Build-Depends for time_t transition
    (Closes: #1065275)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 02 Mar 2024 08:26:26 -0800

mariadb (1:10.11.7-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Rename libraries for 64-bit time_t transition (Closes: #1062841)

  [ Otto Kekäläinen ]
  * Salsa-CI: Adopt new libmariadbd19t64 library name in CI
  * Remove obsolete Lintian override:
    package-supports-alternative-init-but-no-init.d-script
  * Disable more tests not passing for sparc64 on Debian
  * Add patch to fix hurd-i386 build failure (Closes: #1063739)
  * Add patch to partially revert upstream c432c9ef (Closes: #1063738)
  * Disable table_value_constr failing on armhf on Launchpad
  * Backport patch for MDEV-32975 (collation fix for PHP connector)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 01 Mar 2024 17:43:11 -0800

mariadb (1:10.11.7-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.11.7. Includes fixes for several regressions
    as noted at https://mariadb.com/kb/en/mariadb-10-11-7-release-notes/
  * Add missing ${misc:Depends} to Depends for mariadb-server-10.5
  * Re-export upstream signing key without extra signatures
  * Remove field Priority on binary package mariadb-server-10.5 that duplicates
    source
  * Update debian/copyright for 2024
  * Delete test plugin pam_mariadb_mtr.so to keep mariadb-test-data clean
  * Clean away unused Lintian overrides
  * Remove unneeded CMAKE_SYSTEM_PROCESSOR from debian/rules
  * Add patch to skip building AUTH_SOCKET on Hurd (Related: #1006531)
  * Use Pre-Depends to ensure init-system-helpers is present

  [ Michael Biebl ]
  * Install PAM module and systemd files into /usr (Closes: #1061348)
  * Install .service files via .install and let dh_installinit/dh_systemd
    generate the maintscript code
  * Switch to dh_installsystemd and debhelper compat 13

 -- Otto Kekäläinen <otto@debian.org>  Tue, 06 Feb 2024 20:14:49 -0800

mariadb (1:10.11.6-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Make the transitional dummy package description explicit
  * Ensure 'clean' target works
  * Use upstream patch to fix subselect test regressions (Closes: #1059904)
  * Disable innodb_ext_key crashing on ppc64el (Related: #1059904)
  * Apply upstream patch to use RDTIME in RISC-V (Closes: #1060007)
 -- Otto Kekäläinen <otto@debian.org>  Fri, 05 Jan 2024 16:32:12 +0800

mariadb (1:10.11.6-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.11.6. Includes fixes for several severe regressions
    as noted at https://mariadb.com/kb/en/mariadb-10-11-6-release-notes/ as well
    as security issues:
    - CVE-2023-22084
  * Upstream MariaDB Server 10.11.6 included fix for fmtlib 10 compatibility
    (Closes: #1056387)
  * Drop STACK_DIRECTION customization as upstream CMake code now handles it
  * Update traces to match these changes in MariaDB 10.11.6:
    - New option 'ALL' to multiple parameters as a way to define that all
      possible values/options are selected
    - New variables log-slow-max-warnings, note-verbosity and
      optimizer-max-sel-args
    - Default value for innodb-purge-batch-size increased to 1000
    - Support for TLSv1.1 has been dropped

  [ Guillem Jover ]
  * Remove tilegx support removed from dpkg 1.22.0 (Closes: #1056748)

 -- Otto Kekäläinen <otto@debian.org>  Sun, 26 Nov 2023 18:54:33 -0800

mariadb (1:10.11.5-3) unstable; urgency=medium

  * Bugfix: Rewrite 0300a91 again to retain original autopkgtest behavior
  * Disable more tests not passing on Debian post-build test or Launchpad
  * Fix misc spelling

 -- Otto Kekäläinen <otto@debian.org>  Fri, 13 Oct 2023 21:48:03 -0700

mariadb (1:10.11.5-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Make SysV init more verbose in case of MariaDB start failures
  * Test & QA related changes:
    * Bugfix: Rewrite 0300a9157cc to retain original autopkgtest behavior
    * Switch autopkgtest upstream job to use '--skip-rpl --suite=main' again
    * Include type_test.so and others in mariadb-test package
    * Revert "Skip upstream MTR run on armel/armhf where lxcfs upgrade broke CPU check"
    * Partially revert fc1358087b3 about MDEV-30728 to see if it still occurs
    * Remove overrides for test failures that should be fixed now
    * Add patch to fix disk.disk{_notembedded} tests and re-enable them
    * Disable tests not passing on Debian CI, Salsa CI or Launchpad builds

 -- Otto Kekäläinen <otto@debian.org>  Sat, 07 Oct 2023 16:00:43 -0700

mariadb (1:10.11.5-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Do not pass host CFLAGS to the native build. (Closes: #1051222)

  [ Otto Kekäläinen ]
  * New upstream version 10.11.5. Includes fixes for several severe regressions
    as noted at https://mariadb.com/kb/en/mariadb-10-11-5-release-notes/ such as
    - MDEV-31642: Upgrade may crash if innodb_log_file_buffering=OFF
      (Closes: #1040784)
  * Update configuration tracing to match what is expected for 10.11.5
  * Include trailing slash in watch file to be compatible with latest uscan
  * Re-apply "Limit check of running mysqld/mariadbd to system users (Closes: #1032047)"
  * Re-apply "Add patches to fix spelling in MariaDB and components (Closes: #1032860)"
  * Sync downstream (where applicable) with upstream 10.11 debian/* contents
  * Complement upstream commits with more complete mysql->mariadb conversion
  * Misc fixes to Debian scripts to satisfy Shellcheck
  * Fix blocksize check to use $mysql_datadir/$datadir correctly
  * Make sure that datadir always has some value and exists

  [ Tuukka Pasanen ]
  * MDEV-30951: Fix small perlcritic and enable modern Perl
  * Remove usage of AWK from Debian init and postinst scripts

  [ Anel Husakovic ]
  * MDEV-31358: Update description for MariaDB deb packages

 -- Otto Kekäläinen <otto@debian.org>  Tue, 03 Oct 2023 20:59:30 -0700

mariadb (1:10.11.4-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.11.4. Includes fixes for several severe regressions,
    see details at https://mariadb.com/kb/en/mariadb-10-11-4-release-notes/

  [ Andreas Beckmann ]
  * Introduce transitional mariadb-server-10.5 (Closes: #1035949)

 -- Otto Kekäläinen <otto@debian.org>  Sun, 04 Jun 2023 11:22:27 -0700

mariadb (1:10.11.3-1) unstable; urgency=medium

  * New upstream version 10.11.3. Includes security fixes for
    - CVE-2022-47015 (Closes: #1034889)
  * This is the first bug fixing maintenance release from upstream in the 10.11
    series as the 10.11.2 release was the first one announced GA (general
    availability). For a full list of all bug fixes see release notes at
    https://mariadb.com/kb/en/mariadb-10-11-3-release-notes/.
  * Update libmariadb3.symbols to include new ABI changes in 3.3.5
    and fix DPKG_GENSYMBOLS_CHECK_LEVEL so it actually takes effect and in
    build will properly fail if there are unaccounted symbol changes in
    future upstream maintenance releases
  * Update Lintian overrides after 10.11.3 import
  * Use new log_slow_* configuration variable names in configuration examples
    to be aligned with upstream and have least amount of surprises for users
    of MariaDB 10.11 where these variables changed names
  * Clean away unnecessary mariadb-test.links, no functional effect
  * Delete all embedded zlib copies to fix crossbuilds and improve security
  * Use native zlib to make crossbuilds work again after recent zlib 1.2.13
    update regressed crossbuilds
  * Revert fixes from February/March 2023 that the Debian release team
    deemed unfit/too late for Bookworm (Bug#1033811):
    - Revert "Add patch to fix upgrades from MySQL 5.7 to MariaDB 10.11..."
    - Revert "Limit check of running mysqld/mariadbd to system users..."
    - Revert "MDEV-21303: Fix man page packaging for new mariadb-* named..."
    - Revert "Add patches to fix spelling in MariaDB and components..."
    - Revert "Add patch to better diagnose failures in main.order_by_innodb..."
    - Revert "Add patch to fix misc compiler warnings in upstream build"
    - Revert "Add patch to emit warnings if mariadb-upgrade was not run..."

  [ Mathias Gibbens ]
  * Silence superfluous warnings in mariadb-server preinst (Closes: #1034684)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 27 May 2023 23:16:42 -0700

mariadb (1:10.11.2-3) unstable; urgency=medium

  * Fix typo in autopkgtests configuration-tracing affecting armhf and armel
  * Revert: Sync downstream (where applicable) with upstream 10.11 debian/*
    contents so that using diff/meld to compare changes are easier
    - Revert on suggestion by Debian release managers the changes done by
      upstreams devs in https://github.com/MariaDB/server/commit/952af4a1
      for MariaDB 10.5.19, 10.6.12, 10.11.2 etc. It was deemed too invasive
      for the Debian 12 "Bookworm" release this late in the release cycle.

 -- Otto Kekäläinen <otto@debian.org>  Thu, 20 Apr 2023 21:48:51 -0700

mariadb (1:10.11.2-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * SUMMARY: This version has a lot of bug fixes, quality fixes, documentation
    and translation updates and it is tailored for the Debian 12 "Bookworm"
    release and all potentially functional changes have been left out and
    are pending review and merge post-Bookworm release at
    https://salsa.debian.org/mariadb-team/mariadb-server/-/merge_requests,
    where contributions both as reviews and new submissions are welcome!
  * Update NEWS to summarize what is new in MariaDB 10.11 (compared to 10.6)
  * Update and activate configuration tracing in autopkgtests to ensure that
    for the Debian 12 "Bookworm" release cycle no upstream server config change
    would slip in unnoticed
  * Enable mariadb-plugin-rocksdb for riscv64 (fixes autopkgtests for riscv64)
  * Sync downstream (where applicable) with upstream 10.11 debian/* contents
    so that using diff/meld to compare changes are easier
  * Add important upstream 10.11.2+ fixes as packes:
    * Stack overflow in pinbox allocator (PR#2541)
    * Upgrades from MySQL 5.7 to MariaDB 10.11 (MDEV-30483) (Closes: #866751)
    * Misc compiler warnings in upstream build
    * Incomplete stack traces if MariaDB crashes
    * Make mariadbd emit warnings if mariadb-upgrade was not run
    * Binlog failures due to 'character_set_client' (MDEV-30824)
  * Prevent mariadb-test-run from using native I/O on ppc64el and s390x due to
    Linux kernel bug (Related: #1031656)
  * Add patch to better diagnose potential failures in main.order_by_innodb
  * Add patch to fix cross-compilation failure on uca-dump (Closes: #1029165)
  * Update mariadb-test-run skip test lists to not run tests that are known
    to be broken or unstable, and that have been reported upstream
  * Limit check of running mysqld/mariadbd to system users (Closes: #1032047)
  * Make error more helpful in case server restart fails (Related: #1033234)
  * Update Lintian overrides after rigorous review of all Lintian issues
    * Remove incorrect Multi-Arch definitions
    * Fix man pages syntax issues (Closes: #1032861)
    * Fix spelling in MariaDB and components (Closes: #1032860)
    * Refresh patches metadata
    * Update upstream signing key
    * Fix dependency of obsolete libncurses5-dev

  [ Ekaterine Papava ]
  * Add Georgian translation (error messages)

  [ Tuukka Pasanen ]
  * Update README files to correct versions

 -- Otto Kekäläinen <otto@debian.org>  Sat, 25 Mar 2023 23:26:42 -0700

mariadb (1:10.11.2-1) unstable; urgency=medium

  * New upstream release MariaDB 10.11.2 has been announced GA
    (general availability) with long-term support and security updates
    until spring 2028
  * Autopkgetest improvements
    - Fix incomplete variable rename in a3b6f3d7f4b
    - Extend tracing to include MariaDB client and move traces to subdirectory

 -- Otto Kekäläinen <otto@debian.org>  Thu, 16 Feb 2023 23:53:02 -0800

mariadb (1:10.11.1-5) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Packages mariadb-plugin-provider-* must depend at least on MariaDB 10.11
  * Make postinstall check work with more than one result (Closes: #1031244)
  * Revert "Compression plugins as Depends for mariadb-server" (Closes: #1031116)
    to not break the Cacti autopkgtests and allow the mariadb-10.6 autopkgtest
    to fail instead (re-introducing Bug#1031116)

  [ Bubu ]
  * Update French translation of debconf messages (Closes: #1030581)

  [ Adriano Rafael Gomes ]
  * Update Brazilian translation of debconf messages (Closes: #1030908)

 -- Otto Kekäläinen <otto@debian.org>  Wed, 15 Feb 2023 22:57:46 -0800

mariadb (1:10.11.1-4) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Have all compression plugins as Depends for mariadb-server (Closes: #1030604)
  * Update existing patch with latest upstream PR#2448 version 0284207
  * Temporarily disable MTR on s390x as Debian buildd seems unstable
    (Related: #1030510)
  * Add upstream patch to fix build failure on HPPA (Closes: #1006529)
  * Refresh patches and include references to Debian bugs they should fix

  [ Gianfranco Costamagna ]
  * Drop riscv64 rules latomic hack, use upstream PR#2477 instead
    (Related: #1024041)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 09 Feb 2023 08:40:34 -0800

mariadb (1:10.11.1-3) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Customize dh_installinit to keep service enabled (Closes: #1029136)
  * Fix alpha compilation error in GPREL16/wsrep_* (Closes: #1024040)
  * Skip tests that have bug reports and known to fail on 1:10.11.1-2
  * Review and polish autopkgtests

  [ Tianyu Chen ]
  * Add simplified Chinese translation of debconf messages

 -- Otto Kekäläinen <otto@debian.org>  Sun, 05 Feb 2023 15:21:04 -0800

mariadb (1:10.11.1-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Add upstream patch for main.explain_json_format_partitions (MDEV-30411)
    (Closes: 1029163)
  * Fix riscv64 compilation error in RocksDB atomic functions (Closes: #1024041)
  * Stop skipping tests that are marked fixed upstream
  * Don't ship any mysql-tests/unstable-tests as neither does upstream
  * Skip test main.func_json_notembedded on s390x due to MDEV-30518
  * Implement configuration tracing as an autopkgtest test
  * Drop obsolete dependency on package lsb-release
  * Clean away outdated mentions of mariadb-10.6 and even mysql-dfsg-5.1
  * Update more Lintian overrides syntax to follow latest Lintian 2.115
  * Update standards version to 4.6.2, no changes needed
  * Update watch file format version to 4

  [ MichaIng ]
  * Do not create /var/log/mysql in postinst

  [ Salman Mohammadi ]
  * mariadb-plugin-connect: introduce curl as recommends

  [ Remus-Gabriel Chelu ]
  * Update Romanian translation of debconf messages

  [ Faustin Lammler ]
  * Cover the full-upgrade scenario in CI

  [ Pablo ]
  * Update Galician translation of debconf messages

 -- Otto Kekäläinen <otto@debian.org>  Tue, 31 Jan 2023 00:19:17 -0800

mariadb (1:10.11.1-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New major upstream release: 10.11
    - Introduce new packages called 'providers', each one providing
      a particular features, though so far only various compression
      methods.
    - New plugin package for Hashicorp Vault
    - Upstream 10.11 series is intended to be a long-term supported
      version with 5 years of security releases
    - The other major versions 10.7/8/9/10 releases after 10.6
      are all short-term releases, and thus not suitable for inclusion
      in Debian but still worth noting as a guide on how to read
      upstream relases notes, as all apply for what is now new in
      Debian with the introduction of this 10.11
  * Remove version suffix from Debian packages and rename source
    package to just 'mariadb', dropping the 10.6 suffix.
  * Emit warning from SysV init script if mysqld_safe is missing
  * Ignore some EXPLAIN JSON test failures on armel/armhf (MDEV-30411)
  * Add custom dh_installinit to keep /etc/init.d/mariadb enabled
    when upgrading from mariadb-server-10.6 to mariadb-server (10.11)

  [ Sunil Mohan Adapa ]
  * Workaround failure to create DB with libpam-tmpdir (Closes: #1022994)

 -- Otto Kekäläinen <otto@debian.org>  Sun, 15 Jan 2023 14:45:21 -0800

mariadb-10.6 (1:10.6.11-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Standardize on using capitalized 'ON' in CMake build options
  * Fix Breaks/Replaces for smoother upgrades from MySQL 5.5
    and update maintainer documentation on how to do comprehensive
    upgrade testing
  * Enable automatic datadir move also on upgrades from MySQL.com packages
    and make upgrades from MySQL Community (Cluster) 8.0 not get
    stuck on dpkg and server restart

  [ Eric Lindblad ]
  * Fix typos

 -- Otto Kekäläinen <otto@debian.org>  Mon, 02 Jan 2023 22:42:46 -0800

mariadb-10.6 (1:10.6.11-1) unstable; urgency=medium

  * New upstream version 10.6.11.
  * Align with upstream 10.6 debian/ contents

 -- Otto Kekäläinen <otto@debian.org>  Sun, 13 Nov 2022 22:27:08 -0800

mariadb-10.6 (1:10.6.10-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.6.10. Includes several important fixes for
    issues that regressed in previous release. See details in:
    https://mariadb.org/regressions-in-recent-mariadb-server-releases/
  * Update Lintian overrides syntax to follow latest Lintian 2.115
    - Biggest change in Lintian 2.115 is a new syntax to use brackets in file
      paths.

 -- Otto Kekäläinen <otto@debian.org>  Sun, 25 Sep 2022 15:43:39 -0700

mariadb-10.6 (1:10.6.9-1) unstable; urgency=medium

  * New upstream version 10.6.8. Includes security fixes for
    - CVE-2018-25032
    - CVE-2022-32081
    - CVE-2022-32082
    - CVE-2022-32084
    - CVE-2022-32089
    - CVE-2022-32091

 -- Otto Kekäläinen <otto@debian.org>  Wed, 17 Aug 2022 07:28:05 -0700

mariadb-10.6 (1:10.6.8-1) unstable; urgency=medium

  * New upstream version 10.6.8. Includes security fixes for
    - CVE-2021-46669
    - CVE-2022-27376
    - CVE-2022-27377
    - CVE-2022-27378
    - CVE-2022-27379
    - CVE-2022-27380
    - CVE-2022-27381
    - CVE-2022-27382
    - CVE-2022-27383
    - CVE-2022-27384
    - CVE-2022-27386
    - CVE-2022-27387
    - CVE-2022-27444
    - CVE-2022-27445
    - CVE-2022-27446
    - CVE-2022-27447
    - CVE-2022-27448
    - CVE-2022-27449
    - CVE-2022-27451
    - CVE-2022-27452
    - CVE-2022-27455
    - CVE-2022-27456
    - CVE-2022-27457
    - CVE-2022-27458
    - CVE-2022-32085
    - CVE-2022-32086
    - CVE-2022-32087
    - CVE-2022-32088

  [ Daniel Black ]
  * Move client programs to client package from MariaDB server package

  [ Tuukka Pasanen ]
  * MDEV-12275: Add switch '--silent' to SySV init upgrade
  * Allow to use Perl DBD::mysl with mariadb-report (MDEV-28376)

  [ Andreas Hasenack ]
  * Disable LTO on Ubuntu

  [ Faustin Lammler ]
  * Use archive.mariadb.org as official watch source

  [ Laurent Bigonville ]
  * Fix pmem availability check (Closes: #1006530)

  [ Otto Kekäläinen ]
  * Update breaks/replaces to accommodate the moved mariadb-binlog et al
  * Use pmem also on riscv64
  * Add Bulgarian and Chinese translations for error messages
  * Use proper pid namespace
  * Add upstream PR#2129 to fix wsrep_sst_backup packaging
  * Deb: Move my_print_defaults to MariaDB client core package
  * Deb: Ensure the not-installed list is up-to-date
  * Install all available man pages in appropriate packages

 -- Otto Kekäläinen <otto@debian.org>  Sun, 22 May 2022 16:44:02 -0700

mariadb-10.6 (1:10.6.7-3) unstable; urgency=medium

  * Fix syntax error in unstable tests lists
  * Forward patches upstream and update metadata for them
  * Bugfix: Include missing sql_parse.cc in ER_KILL_DENIED_ERROR patch
  * Fix mysql_install_db by reverting recent addition (MDEV-27980)
  * Fix htm use on PowerPC to fix build failure (might close #1006527)
  * Revert "Strip path from Mroonga to make the build reproducible"

 -- Otto Kekäläinen <otto@debian.org>  Wed, 09 Mar 2022 22:26:32 -0800

mariadb-10.6 (1:10.6.7-2) unstable; urgency=medium

  * Backport OpenSSL 3.0 support for MariaDB 10.6 series (Closes: #1005950)
  * Clean away most Lintian overrides and unstable-tests to see full
    QA results in Debian experimental
  * Add upstream PR#2028 to fix main.grant_kill test failure
  * Update unstable-tests skip lists after review of 1:10.6.7-2~exp1 builds
  * Fix more spelling errors
  * Fix misc Lintian issues and add overrides

 -- Otto Kekäläinen <otto@debian.org>  Tue, 01 Mar 2022 20:40:07 -0800

mariadb-10.6 (1:10.6.7-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.6.7. Includes security fixes for
    - CVE-2021-46661
    - CVE-2021-46663
    - CVE-2021-46664
    - CVE-2021-46665
    - CVE-2021-46668
  * New upstream version 10.6.6. Includes security fixes for
    - CVE-2021-46659
    - CVE-2022-24048
    - CVE-2022-24050
    - CVE-2022-24051
    - CVE-2022-24052
  * Previous release 10.6.5 included security fixes for:
    - CVE-2021-46662
    - CVE-2021-46667
  * Notable upstream functional changes in 10.6.6 and 10.6.7:
    - New default value for innodb_change_buffering is 'none' instead of old
      value 'all' (MDEV-27734). This change should improve crash safety but
      might cause performance regressions on systems that use old spinning disks
      (HDD) where seek latency is higher.
    - New default value for innodb_read_only_compressed is 'OFF' instead of
      'ON'. Upstream originally intended to deprecate ROW_FORMAT=COMPRESSED but
      abandoned the plan.
    - New default minimum value for innodb_buffer_pool_size is 20 MB (from 2 MB)
  * Drop MIPS and CTE patches applied now upstream
  * Add upstream patch to make Mroonga builds reproducible (Closes: #976984)
  * Add patch for potential kfreebsd-amd64 build failure (Closes: #994665)
  * Remove useless libaio-dev dependency from d/control (Closes: #1001649)

  [ Faustin Lammler ]
  * Salsa-CI: use a mirror redirector for the CI

  [ Bas Couwenberg ]
  * Don't require debian.cnf to be executable in logrotate (Closes: #1005186)

  [ Tuukka Pasanen ]
  * Remove unneeded path from MariaDB server postinst script

 -- Otto Kekäläinen <otto@debian.org>  Sat, 19 Feb 2022 16:00:00 -0800

mariadb-10.6 (1:10.6.5-2) unstable; urgency=medium

  * Fix misc failures in 10.6 detected by Debian QA systems
    - Revert systemd extra and socket files to fix build=all
    - Backport fix for test cte_nonrecursive failure
    - Disable test main.func_math on more platforms

 -- Otto Kekäläinen <otto@debian.org>  Tue, 14 Dec 2021 20:05:25 -0800

mariadb-10.6 (1:10.6.5-1) unstable; urgency=medium

  * New upstream version 10.6.5.
  * Drop MIPS and libatomic patches applied now upstream
  * Enable Numa support (Closes: #861553)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 27 Nov 2021 13:48:25 -0800

mariadb-10.6 (1:10.6.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Don't require debian.cnf to be executable in logrotate (Closes: #994284)

  [ Otto Kekäläinen ]
  * Add new overrides to be clean on Lintian v2.105.0
  * Salsa-CI: Add workarounds for Stretch->Bookworm upgrade bugs
  * Salsa-CI: Add testing for Bullseye upgrades and backports
  * Extend README.Contributor to include more QA and debugging tips
  * Make RocksDB plugin depend on python3:any to be Lintian clean
  * Adopt DEP-14 for the git repository layout
  * Import new upstream major release MariaDB 10.6.4
  * Update Debian packaging for MariaDB 10.6 series
  * Clean up d/copyright and remove obsolete licence-reconcile config
  * Extend Breaks/Replaces to cover all known MySQL variants
  * Skip upstream tests that are permanently broken

 -- Otto Kekäläinen <otto@debian.org>  Thu, 21 Oct 2021 11:02:17 +0300

mariadb-10.5 (1:10.5.12-1) unstable; urgency=medium

  * New upstream version 10.5.12. Includes security fixes for:
    - CVE-2021-2389
    - CVE-2021-2372
  * Drop patches applied upstream in MariaDB S3 plugin

 -- Otto Kekäläinen <otto@debian.org>  Sun, 08 Aug 2021 20:33:47 -0700

mariadb-10.5 (1:10.5.11-1) unstable; urgency=medium

  * New upstream version 10.5.11. Includes several important bug fixes,
    including a replication hang (Closes: #991399, Closes: #989400)
  * Cleanup, documentation and testing:
    * Drop backported patch for armfh build now in 10.5.11 from upstream.
    * Drop patch no longer needed with latest gcc-10 (Closes: #972564)
    * Save autopkgtests results as JUnit-compatible XML-report
    * Salsa-CI: Verify wrap-and-sort usage and correctness of patches/series
  * Remove rocksdb_build_git_date from RocksDB binaries to make them
    build in a reproducible way, thus making the entire MariaDB finally
    reproducible (Closes: #976985)

  [ Andreas Beckmann ]
  * Ease switching from galera-3 to galera-4 on upgrades from buster
    (Closes: #990708, Closes: #976147, Closes: #977137)

 -- Otto Kekäläinen <otto@debian.org>  Sun, 25 Jul 2021 15:38:34 -0700

mariadb-10.5 (1:10.5.10-2) unstable; urgency=medium

  * Bugfix: Revert upstream code change to fix armhf build (Closes: #988629)

 -- Otto Kekäläinen <otto@debian.org>  Sun, 23 May 2021 21:04:38 -0700

mariadb-10.5 (1:10.5.10-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.5.10. Includes security fixes for (Closes: #988428):
    - CVE-2021-2154
    - CVE-2021-2166
  * Previous release 10.5.9 included security fixes additionally for:
    - CVE-2021-27928
  * Previous release 10.5.7 included security fixes additionally for:
    - CVE-2021-2194
  * Previous release 10.5.5 included security fixes additionally for:
    - CVE-2021-2022
  * Update symbols to include new one from MariaDB Client 3.1.13
  * Misc Salsa-CI fixes for better QA
  * Innotop: Add support for MariaDB 10.5+ (Closes: #941986)
  * Bugfix: Ensure upstream 1556 patch is included fully (Closes: 987231)
  * Bugfix: Don't create /usr/share/mysql/*.flag files (Closes: #985870)
  * Misc spelling fixes

  [ Glenn Strauss ]
  * Mark systemd files [linux-any] in debian/*.install

  [ Arnaud Rebillout ]
  * Fix postinst trigger when systemd is not running (Closes: #983563)

  [ Faustin Lammler ]
  * GitLab CI now supports timeout for specific jobs

 -- Otto Kekäläinen <otto@debian.org>  Sun, 16 May 2021 11:36:38 -0700

mariadb-10.5 (1:10.5.9-1) unstable; urgency=medium

  * New upstream version 10.5.9
  * Remove transitional libmariadbclient-dev empty metapackage

 -- Otto Kekäläinen <otto@debian.org>  Mon, 22 Feb 2021 21:32:47 +0200

mariadb-10.5 (1:10.5.8-3) unstable; urgency=medium

  * Re-introduce deprecated transitional libmariadbclient-dev package
    so that the libmariadbclient-dev from 10.5 can replace the existing
    libmariadbclient-dev form 10.3 and thus allow MariaDB 10.5 to
    migrate from Debian unstable to testing.

 -- Otto Kekäläinen <otto@debian.org>  Mon, 23 Nov 2020 22:14:57 +0200

mariadb-10.5 (1:10.5.8-2) unstable; urgency=medium

  * Fix FTBFS on mipsel/mips64el due to test main.drop failure

 -- Otto Kekäläinen <otto@debian.org>  Tue, 17 Nov 2020 17:07:55 +0200

mariadb-10.5 (1:10.5.8-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Revert back to 1fc0f45a as the armhf build failure was due to GCC bug
  * Salsa-CI: salsa-ci-team/pipeline#173 seems fixed, stop allowing failure
  * Filter out extra 3rd party sources directly when importing new upstream
  * New upstream version 10.5.7. Includes security fixes for:
    - CVE-2020-28912
    - CVE-2020-14812
    - CVE-2020-14789
    - CVE-2020-14776
    - CVE-2020-14765
  * Clean away from d/copyright files that are no longer in the sources
  * Sync debian/* changes from upstream 10.5.7 release
  * Clean away columnstore sources during build and ignore all CS issues
  * New upstream version 10.5.8
    - Includes criticat fix for arbitrary InnoDB buffer pool and data file
      corruption issue (MDEV-24096)
  * Add patch to workaround armhf build failure due to gcc segfault

  [ Helmut Grohne ]
  * Fix FTCBFS: Add native libssl-dev to Build-Depends (Closes: #973388)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 13 Nov 2020 09:20:28 +0200

mariadb-10.5 (1:10.5.6-2) unstable; urgency=medium

  [ Miroslav Kure ]
  * Update Czech translation of debconf messages (Closes: #972441)

  [ Otto Kekäläinen ]
  * Salsa-CI: Circumvent Bug#972552 so upgrade tests work again
  * Salsa-CI: Install more packages to cover more in upgrade tests
  * Automatically remove /etc/logrotate.d/mysql-server (Closes: #971399)
  * Fix debci: Skip main.failed_auth_unixsocket on armhf and i386
  * Revert "Allow libnuma-dev on armhf as well"
  * Switch to using system OpenSSL (Closes: #787118)

 -- Otto Kekäläinen <otto@debian.org>  Mon, 26 Oct 2020 14:13:56 +0200

mariadb-10.5 (1:10.5.6-1) unstable; urgency=medium

  * New upstream version 10.5.6. Includes security fixes for:
    - CVE-2020-15180
  * Include debian/ when importing new upstream releases
    - This will help to follow upstream packaging changes and prevent
      divergence in packaging code upstream vs. downstream.
  * Unify config file syntax style
  * Allow libnuma-dev on armhf as well

 -- Otto Kekäläinen <otto@debian.org>  Thu, 15 Oct 2020 11:55:14 +0300

mariadb-10.5 (1:10.5.5-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix cross-compilation, amend commit f0ba31e1

  [ Aurelien Jarno ]
  * Correctly link pthread so riscv64 builds pass (Closes: #933151)

  [ Otto Kekäläinen ]
  * Revert "Automatically use libatomics on 64-bit archs (Closes: #933151)"
  * Update MTR test skip lists after full test runs in Debian experimental
  * Clean up d/rules and patches for issues that to best knowledge were
    temporary and not needed anymore in MariaDB 10.5.5

 -- Otto Kekäläinen <otto@debian.org>  Fri, 09 Oct 2020 10:06:04 +0300

mariadb-10.5 (1:10.5.5-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Salsa-CI: Extend feature tests to ensure TLS connections work at v1.2
  * Fix x32 compilation issue (Closes: #970662)
  * Implement unified logrotate from upstream PR#1556 (Closes: #971399)
  * Fix upgrade from Percona.com by ensuring server uses mariadb.cnf
  * Revert emptying /etc/mysql/debian.cnf (Closes: #971256)
  * Use build flag to enforce default charset as utf8mb4 (Closes: #933063)
  * Remove "Multi-Arch: same" from libmariadbd-dev
  * Disable flaky MTR tests to get builds pass
  * Automatically use libatomics on 64-bit archs (Closes: #933151)

  [ Daniel Black ]
  * Fix upgrade from MySQL.com with a new 'auth_socket' rename

  [ Helmut Grohne ]
  * Fix FTCBFS so cross-compiling works (Closes: #971579)
    - Add native dependencies on gnutls, libedit and ncurses.
    - Use a native perl interpreter during build.
    - Let dh_auto_configure pass -DCMAKE_SYSTEM_NAME to cmake.
    - Keep default CMAKE_BUILD_TYPE=RelWithDebInfo instead of debhelper's None.
    - Cache the per-architecture stack direction.

 -- Otto Kekäläinen <otto@debian.org>  Tue, 06 Oct 2020 14:44:39 +0300

mariadb-10.5 (1:10.5.5-1) unstable; urgency=medium

  * New upstream version 10.5.5 (Closes: #968895)
    - Drop patches that are obsolete or applied upstream in 10.5
    - Rename most occurrences of 10.4 to 10.5 after importing 10.5 series
    - Add Breaks/Replaces for 10.5 on previous 10.4 versions
    - Stop suggesting tinyca, upstream project does not exist anymore
    - Sync some changes from upstream MariaDB 10.5 debian/ directory
    - Update d/copyright for MariaDB 10.5
    - Disable ColumnStore, not mature enough for Debian yet
    - Remove mariadb-plugin-tokudb as upstream TokuDB is not maintained anymore
    - Introduce new package mariadb-plugin-s3 new in MariaDB 10.5
    - Include caching_sha2_password.so plugin for libmariadb3 (Closes: #962597)
    - Remove unnecessary charset stanza from client config (Closes: #879099)
  * Remove deprecated transitional libmariadbclient-dev package
  * Correct documentation about systemd using debian-start (Closes: #866782)
  * Add NEWS item about MySQL 8.0 in-place binary incompatibility
  * Add Provides: libmysqld-dev now as the mysql-8.0 stopped providing it
  * Install Spider with a simple spider.cnf (Closes: #917818)
  * Remove faulty encryption.preset file installed in subdirectory
  * Salsa-CI: Refactor common parts into reusable sections

 -- Otto Kekäläinen <otto@debian.org>  Fri, 25 Sep 2020 19:56:59 +0300

mariadb-10.4 (1:10.4.14-1~exp1) experimental; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.4.14
    - Includes fix for RocksDB build failure on arch riscv64
  * Add Breaks/Replaces for mysql-client-core-8.0 that ships myisam_ftdump

  [ Christian Göttsche ]
  * Prevent executable stack due to objects compiled from assembly

 -- Otto Kekäläinen <otto@debian.org>  Sun, 23 Aug 2020 13:20:04 +0300

mariadb-10.4 (1:10.4.13-1~exp1) experimental; urgency=medium

  * New upstream version 10.4.13. Includes security fixes for:
    - CVE-2020-2752
    - CVE-2020-2760
    - CVE-2020-2812
    - CVE-2020-2814
    - CVE-2020-13249
  - Includes fix for MDEV-21586: Server does not start if lc_messages setting
    was not English (Closes: #951059)
  * Restructure and extend d/copyright to cover libmariadb (Closes: #962541)
  * Simplify autopkgtest 'smoke' to be easier to debug
  * Add patch to fix RocksDB detection of ZSTD
  * Update libmariadb symbols for upstream release 3.1.8

 -- Otto Kekäläinen <otto@debian.org>  Mon, 29 Jun 2020 09:47:07 +0300

mariadb-10.4 (1:10.4.12-1~exp3) experimental; urgency=medium

  [ Otto Kekäläinen ]
  * Make mariadb-client-10.4 Recommends libdbd-mariadb-perl as primary option
  * Detect MySQL 8.0 based on undo_001 file as *.flag is buggy in mysql-8.0

  [ Faustin Lammler ]
  * Fix systemd aliases (Closes: #932289)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 10 Apr 2020 11:03:02 +0300

mariadb-10.4 (1:10.4.12-1~exp2) experimental; urgency=medium

  [ Christian Göttsche ]
  * Prevent executable stack due to objects compiled from assembly

  [ Bastian Germann ]
  * Link with libedit instead of readline5 (Closes: #940879)

  [ Otto Kekäläinen ]
  * Fix mysqld crash on s390x that stemmed from WolfSSL
  * Extend contributor README with debugging tips
  * Clean up -dev packages from excess private files
  * Make full contents, also header files, explicit in -dev packages
  * Remove entire sql-bench in debian/rules to simplify not-installed listings
  * Remove obsolete AUTH_SOCKET build flag
  * Add missing mariadb-ldb to mariadb-plugin-rocksdb
  * Install files that belong to mariadb-test instead of not-installed
  * Ignore mariadb-config.1 since there is no mariadb-config binary
  * Enforce --fail-missing in debian/rules to not miss any uninstalled files
  * Unify server preinst and postrm server stopping function
  * Move mariadb-upgrade to same package as mysql-upgrade and manpage
  * Update package to use debhelper level 10
  * Install arch dependent mariadb.pc in lib/ with patch from upstream
  * Move binary mariadb-tzinfo-to-sql to server package like upstream has
  * Don't install useless extra logrotate script or test config helper
  * Add patch for man page fixes from upstream 10.5 pull request
  * Add patch to backport spelling fixes from upstream 10.5 pull request
  * Include new man pages for mytop and myrocks_hotbackup in packaging
  * Use https protected nluug.nl server for upstream repo to watch

 -- Otto Kekäläinen <otto@debian.org>  Tue, 17 Mar 2020 15:05:39 +0200

mariadb-10.4 (1:10.4.12-1~exp1) experimental; urgency=medium

  * New upstream version 10.4.12
    - Drop patches applied upstream in 10.4
    - Sync debian/* improvements done in upstream MariaDB 10.4 release
    - Update Galera to version 4
    - Update debian/copyright for MariaDB 10.4
    - Sync non-functional delta from upstream 10.4
    - Sync AppArmor profile handling from MariaDB 10.4
    - Sync server stopping logic from MariaDB 10.4 preinst/postinst/postrm
    - Package PAM tool and user map introduced in upstream MariaDB 10.4
    - Clean away versioned breaks/replaces on older generation packages
    - Update maintainer and contributor docs for MariaDB 10.4
    - Add patch from MDEV-21691 so mysql-test-run works out-of-source tree
  - Upstream release 10.4.12 included security fixes for:
    - CVE-2020-2574
    - CVE-2020-7221
  - Previous version 10.4.9 included security fixes for:
    - CVE-2020-2780
  - Previous version 10.4.7 included security fixes for:
    - CVE-2020-2922

 -- Otto Kekäläinen <otto@debian.org>  Tue, 18 Feb 2020 20:24:40 +0200

mariadb-10.3 (1:10.3.22-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.3.22. Includes security fixes for:
    - CVE-2020-2574
  * Update conflicts/breaks/replaces for MySQL 8.0
  * Add Rules-Requires-Root definition to control file
  * Activate NO_UPDATE_BUILD_VERSION to make RocksDB build reproducible
  * Strip path from Mroonga to make the build reproducible
  * Update Debian Policy version
  * Simplify and extend Gitlab-CI testing by using more of Salsa-CI features
  * Prefer salsa-ci.yml naming over gitlab-ci.yml since we inherit Salsa-CI
  * Add Breaks/Replaces for mysql-client-5.7 that ships myisam_ftdump

  [ Christian Göttsche ]
  * Set correct SELinux contexts on package installation (Closes: #948424)

 -- Otto Kekäläinen <otto@debian.org>  Tue, 28 Jan 2020 22:12:28 +0200

mariadb-10.3 (1:10.3.21-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Update Python dependencies and recommends to Python 3 (Closes: #945697)
  * Remove deprecated basedir config from debian.cnf (Closes: #947553)

  [ James Clarke ]
  * Fix RocksDB on GNU/kFreeBSD (Closes: #920994)
  * Use versioned symbols on GNU/kFreeBSD

 -- Otto Kekäläinen <otto@debian.org>  Tue, 07 Jan 2020 09:01:10 +0200

mariadb-10.3 (1:10.3.21-1) unstable; urgency=low

  [ Faustin Lammler ]
  * Remove no more needed lintian overrides

  [ Otto Kekäläinen ]
  * New upstream version 10.3.21

 -- Otto Kekäläinen <otto@debian.org>  Wed, 11 Dec 2019 18:01:43 +0200

mariadb-10.3 (1:10.3.20-1) unstable; urgency=high

  * New upstream version 10.3.20. Includes fix for regression:
    - MDEV-20987: InnoDB fails to start when FTS table has FK relation
  * Remove obsolete fields Name, Contact from debian/upstream/metadata
  * Gitlab-CI: Print artifact sizes to ensure it stays under 100 MB
  * Gitlab-CI: Adapt CI jobs for Debian Sid work
  * Update README.Maintainer with current Debian and Ubuntu release statuses

 -- Otto Kekäläinen <otto@debian.org>  Mon, 11 Nov 2019 23:55:37 +0200

mariadb-10.3 (1:10.3.19-1) unstable; urgency=high

  [ Otto Kekäläinen ]
  * New upstream version 10.3.17. Includes security fixes for:
    - CVE-2019-2938
    - CVE-2019-2974
  * Update symbols to match latest libmariadb_3
  * Drop systemd service patch applied upstream

  [ Faustin Lammler ]
  * Fix typo in Readme

 -- Otto Kekäläinen <otto@debian.org>  Thu, 07 Nov 2019 21:26:49 +0200

mariadb-10.3 (1:10.3.18-1) unstable; urgency=medium

  * New upstream version 10.3.18. Fixes regression introduced in 10.3.17
    (MDEV-20247: Replication hangs with "preparing" and never starts)
    (Closes: #939819)
  * Minort Gitlab-CI improvements

 -- Otto Kekäläinen <otto@debian.org>  Thu, 12 Sep 2019 15:51:04 +0300

mariadb-10.3 (1:10.3.17-1) unstable; urgency=high

  * New upstream version 10.3.17. Includes security fixes for:
    - CVE-2019-2737
    - CVE-2019-2739
    - CVE-2019-2740
    - CVE-2019-2758
    - CVE-2019-2805
  * Multiple Gitlab-CI/Salsa-CI improvements
  * Dependency in resolveip is still included (Closes: #910902)
  * Update libmariadb3 symbols to match MariaDB Connector C 3.1 API
  * Add Lintian override for new test binary wsrep_check_version
  * Gitlab-CI: Clean away one excess comment left from b9d633b38

 -- Otto Kekäläinen <otto@debian.org>  Fri, 02 Aug 2019 17:53:22 +0100

mariadb-10.3 (1:10.3.16-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.3.16
  * Make libzstd dependency versioned as RocksDB need at least 1.3.3.
    This fixes build errors across different build environments.
  * Update Gitlab CI for better quality control and long-term maintenance.

  [ Helmut Grohne ]
  * Improve cross building (Closes: #930314)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 22 Jun 2019 16:45:18 +0200

mariadb-10.3 (1:10.3.15-2) unstable; urgency=medium

  [ Julien Muchembled ]
  * Fixup RocksDB test on s390x, not available there

  [ Otto Kekäläinen ]
  * Purge deleted translations from debian/po
  * Rename 'mariadbcheck' to 'mariadb-check' as upstream is doing in 10.4

 -- Otto Kekäläinen <otto@debian.org>  Fri, 07 Jun 2019 09:13:35 +0300

mariadb-10.3 (1:10.3.15-1) unstable; urgency=high

  [ Otto Kekäläinen ]
  * New upstream version 10.3.15. Includes security fixes for (Closes: #928393):
    - CVE-2019-2628
    - CVE-2019-2627
    - CVE-2019-2614
  * Includes upstream fix for MDEV-18721: Host option in configuration file is
    ignored (Closes: #921599)

  [ Gregor Riepl ]
  * Extend mariadb/mysql_config to support --libmysqld-libs (Closes: #928230)

  [ Julien Muchembled ]
  * Enable LZ4&Snappy for InnoDB and LZ4&Snappy&ZSTD for RocksDB

 -- Otto Kekäläinen <otto@debian.org>  Tue, 21 May 2019 10:45:37 +0300

mariadb-10.3 (1:10.3.14-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Rename and re-organize gitlab-ci.yml stages
  * Refactor gitlab-ci.yml to be optimal for a life in Buster
  * Ensure cmake builds also apply CPPFLAGS flags for hardening to fully work
  * New upstream version 10.3.14. Includes MariaDB Connector C 3.0.10 which
    includes an improved impelemntation of mysql_real_connect() that respects
    the my.cnf "host" option (Closes: #921599). This upstream release also
    fixes an indexes problem on import dump SQL (MDEV-18577) and many other
    InnoDB corruption issues (Closes: #924498).
  * Enable automatic restarts from maint scripts in gitlab-ci.yml
  * Automate renaming MySQL auth_socket correctly in mysql_upgrade
    (Closes: #926231)

  [ Andreas Beckmann ]
  * Use piuparts with --testdebs-repo so dependencies of each install resolve

 -- Otto Kekäläinen <otto@debian.org>  Fri, 19 Apr 2019 14:38:26 +0300

mariadb-10.3 (1:10.3.13-2) unstable; urgency=medium

  [ Olaf ]
  * Use upstream conf defaults (Closes: #905599). This is critically important
    so that nothing defined in the configuration would hold back upstream
    improvements in default option values.

  [ Otto Kekäläinen ]
  * Extend gitlab-ci.yml to include MySQL to MariaDB upgrade testing and also
    refine automatic testing in many ways to ensure as little regressions as
    possible.
  * Automatically rename 'auth_socket' to 'unix_socket' when upgrading from
    MySQL 5.7 which otherwise would completely fail.
  * Drop the transitional libmariadbclient18 package (Closes: #925117)
  * Move resolveip from mariadb-server-10.3 to -core-10.3 (Closes: #910902)
  * Move all mariadb-server-x.x *.sql files to mariadb-server-core-x.x package

 -- Otto Kekäläinen <otto@debian.org>  Mon, 01 Apr 2019 23:05:31 +0300

mariadb-10.3 (1:10.3.13-1) unstable; urgency=medium

  * New upstream version 10.3.13
  * Includes fixes for the following security vulnerabilities
    (Closes: #920933):
    - CVE-2019-2537
    - CVE-2019-2529
  * Update symbols list to match latest MariaDB Connector C release
  * Use bundled SSL libraries instead of system OpenSSL (Closes: #921488)
  * Fix 'Multi-Arch: same' stanzas (Closes: #920364)
  * Implement proper version detection in maintainer scripts (Closes: #920415)
  * Make libmariadb-dev depend on libgnutls28-dev (Closes: #917135)
  * Extend Gitlab-CI significantly and update READMEs

 -- Otto Kekäläinen <otto@debian.org>  Sun, 24 Feb 2019 21:14:15 +0200

mariadb-10.3 (1:10.3.12-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * mariadb-plugin-tokudb: Properly generate the libjemalloc dependency

  [ Otto Kekäläinen ]
  * Re-enable jemalloc as Debian#843926 is now fixed (Closes: #918798)
  * Update gitlab-ci.yml
    * Follow upstream 'build' and 'lintian' steps
    * Extend upgrade testing to upgrade from buster->sid (10.1 -> 10.3)
  * Make libmariadb-dev-compat also Breaks+Replaces old libmariadbclient-dev
    (Closes: #863675)
  * Revert "Update libmariadb-dev.links to restore /usr/include/mysql.."

  [ Andreas Beckmann ]
  * Reintroduce libmariadbclient-dev as a transitional package
  * Drop obsolete libmariadbclient18 symbols file
  * Add Build-Depends-Package field to symbols file
  * Minimize the upstream signing key by dropping all signatures
  * Fix multiple Lintian issues

 -- Otto Kekäläinen <otto@debian.org>  Thu, 24 Jan 2019 20:56:46 +0200

mariadb-10.3 (1:10.3.12-1) unstable; urgency=low

  [ Otto Kekäläinen ]
  * New upstream version 10.3.12
  * Create the mysqlclient.pc symlink at correct path with /pkgconfig/
    (Closes: #878340)
  * Add libjemalloc2 as alternative dep for mariadb-plugin-tokudb
  * Prevent mysql_upgrade from being triggered on every server restart
  * Automate VERSION variable in mariadb-server installer scripts
  * Improve logging and tag syslog messages with postinstall filename
  * Make libmariadbclient18 Breaks old libpam-mysql and libdbd-mysql-perl

  [ Samuel Thibault ]
  * Do not try to install disks.so file not built on non-Linux
  * Tune symbol visibility on GNU/Hurd too

 -- Otto Kekäläinen <otto@debian.org>  Tue, 08 Jan 2019 22:52:16 +0100

mariadb-10.3 (1:10.3.11-3) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Use sst_dump from package rocksdb-tools (Closes: #886853)
  * Remove wsrep_sst_xtrabackup(-v2) already deprecated in upstream
  * Make gitlab-ci.yml upgrade test specifically run mariadb-server-10.1->10.3
  * Fix upstream RocksDB patch to fix Lintian complaints about source code
  * Drop the MIPS Innobase patch that it is already fixed upstream
  * Extend gitlab-ci.yml to test libmysql* interactions
  * Ensure libmariadbd19 does not breaks/replace anything
  * Make libmariadb-dev-compat break what is replaces
  * Make libmariadb-dev breaks/replaces libmysqlclient-dev (Closes: #863675)
  * Update Dutch translation by Frans Spiesschaert (Closes: #895461)

  [ Faustin Lammler ]
  * Fix 2 typo error in README contributor
  * Lintian some complaints

  [ Helge Deller ]
  * Skip failing test on HPPA, it's not too important (Closes: #917395)

  [ Scott Kitterman ]
  * Update libmariadb-dev.links to restore /usr/include/mysql compatibility
    symlinks lost when the default switched from 10.1 to 10.3 (Closes: #917266)

 -- Otto Kekäläinen <otto@debian.org>  Mon, 31 Dec 2018 16:39:33 +0200

mariadb-10.3 (1:10.3.11-2) unstable; urgency=low

  [ Vicențiu Ciorbaru ]
  * Update c11_atomics patch to include mysys. This should fix both
    mips and armel build failures.

  [ Otto Kekäläinen ]
  * Make libmariadb-dev depend on libssl-dev (Closes: #917135)
  * Remove "Conflicts: libmariadbclient18 (<< 10.2.0)" (Closes: #917075)

 -- Otto Kekäläinen <otto@debian.org>  Mon, 24 Dec 2018 18:50:31 +0200

mariadb-10.3 (1:10.3.11-1) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Import to Debian latest major release of MariaDB (Closes: #867892)
  * Packaging carries on all impromevements done on to the latest MariaDB
    10.1.x packages in Debian unstable up until Dec 15th 2018.
  * Drop the Hurd socket patch that it is already applied upstream
  * Update SSL/TLS keys as OpenSSL since 1.1.0 rejects weak keys by default
  * Remove innodb_* options from server config that are default in 10.3
  * Remove --skip-auth-anonymous-user deprecated in 10.3
  * Include also arch specific skiplists in CI tests
  * Make TokuDB explicitly depend on libjemalloc1
  * Follow Salsa-CI changes and update build image name to 'dockerbuilder'
  * Extend gitlab-ci to test installation and upgrade of MariaDB

  [ Vicențiu Ciorbaru ]
  * Refresh c11_atomics patch for 10.3
  * Fix MEMORY storage engine test

 -- Otto Kekäläinen <otto@debian.org>  Thu, 20 Dec 2018 21:52:42 +0200

mariadb-10.1 (1:10.1.37-3) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Update translation templates
  * Fix typo in commit 33d853128 so skip list is not reset when adding lines

  [ Vicențiu Ciorbaru ]
  * Fix mips compilation failure (__bss_start symbol missing)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 08 Dec 2018 18:50:43 +0200

mariadb-10.1 (1:10.1.37-2) unstable; urgency=low

  [ Samuel Thibault ]
  * Do not depend on libsystemd-dev on non-Linux
  * On non-Linux, do not install files not built there
  * Add hurd cmake configuration (Closes: #912902)

  [ Otto Kekäläinen ]
  * Add Gitlab-CI definition file that can test each commit to this repository
  * Utilize upstream unstable-tests list in tests/upstream mysql-test-run.
    This will make ci.debian.net pass as it will correctly ignore tests.
  * Disable test unit.pcre_test on s390x that was failing in stretch-security

 -- Otto Kekäläinen <otto@debian.org>  Sat, 01 Dec 2018 18:17:18 +0200

mariadb-10.1 (1:10.1.37-1) unstable; urgency=high

  * New upstream version 10.1.37. Includes security fixes for:
    - CVE-2018-3282
    - CVE-2018-3251
    - CVE-2018-3174
    - CVE-2018-3156
    - CVE-2018-3143
    - CVE-2016-9843
  * Update README.Contributor based on recent feedback
  * Update README.Maintainer to match current best practices
  * Move my_print_defaults to mariadb-server-core (Closes: #898367)
  * Update Debian standards version to 4.2.1 (no changes)
  * Fix minor Lintian complaints
  * Add (and rename) new man pages

 -- Otto Kekäläinen <otto@debian.org>  Sun, 04 Nov 2018 19:11:19 +0200

mariadb-10.1 (1:10.1.35-1) unstable; urgency=medium

  * New upstream version 10.1.35. Includes security fixes for:
    - CVE-2018-3066
    - CVE-2018-3064
    - CVE-2018-3063
    - CVE-2018-3058
  * Fix wrong-path-for-interpreter in innotop script
  * Update Debian standards version
  * Revert "Remove the mariadb-test-* packages" (Closes: #888956)
  * Omit test plugins as they are not used by the tests and already deleted
  * Define autopkgtest with isolation-container (Closes: #870408)
  * Ship config examples et al in /usr/share/mysql (Closes: #878223)
  * Extend the server README to clarify misunderstandings (Closes: #878215)
  * Introduce mariadb-backup as a separate binary package, just like in upstream
  * Fix bash syntax issues detected by Shellcheck
  * Fix 'max key length is 767 bytes' errors (Closes: #886756)
  * Remove GNU Hurd FTBFS patch that's been applied upstream (Closes: #882062)

 -- Otto Kekäläinen <otto@debian.org>  Tue, 07 Aug 2018 22:18:20 +0300

mariadb-10.1 (1:10.1.34-1) unstable; urgency=medium

  * New upstream release 10.1.34.
  * Previous upstream version 10.1.33 included fixes for the following
    security vulnerabilities:
    - CVE-2018-2819
    - CVE-2018-2817
    - CVE-2018-2813
    - CVE-2018-2787
    - CVE-2018-2784
    - CVE-2018-2782
    - CVE-2018-2781
    - CVE-2018-2771
    - CVE-2018-2766
    - CVE-2018-2761
    - CVE-2018-2755
  * Previous upstream version 10.1.31 included fixes for the following
    security vulnerabilities:
    - CVE-2018-2668
    - CVE-2018-2665
    - CVE-2018-2640
    - CVE-2018-2622
    - CVE-2018-2612
    - CVE-2018-2562
  * Previous upstream version 10.1.30 included fixes for the following
    security vulnerabilities:
    - CVE-2017-15365

  [ Otto Kekäläinen ]
  * Update VCS-* links to point to the new source repository
  * Delete unnecessary systemd files introduced by upstream
  * Add new files introduced by upstream to correct packages
  * Mark selected tests as unstable so they don't stop the whole upload in vain
  * Update d/control Uploaders to match current affairs
  * Various minor Lintian fixes
  [ Otto Kekäläinen ]
  * Use the ccache symlinks made by update-ccache-symlinks, if available

  [ Vicențiu Ciorbaru ]
  * Extend libmariadbclient-rename.patch to cover TokuDB as well
  * Disable disks.disks test

  [ Rui Branco ]
  * Updated Portuguese translation by Rui Branco (Closes: #871052)

  [ Takuma Yamada ]
  Updated Japanese translation by Takuma Yamada (Closes: #859481)

 -- Otto Kekäläinen <otto@debian.org>  Tue, 31 Jul 2018 21:52:16 +0800

mariadb-10.1 (1:10.1.29-6) unstable; urgency=high

  * Ignore failed tests on more non-release platforms (kfreebsd-i386,
    kfreebsd-amd64 and sparc64)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Nov 2017 07:03:47 +0000

mariadb-10.1 (1:10.1.29-5) unstable; urgency=high

  * Update the -O3 -> -O2 patch to include more cmake files

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Nov 2017 22:48:13 +0000

mariadb-10.1 (1:10.1.29-4) unstable; urgency=high

  * Change the default optimization from -O3 to -O2 in mysql_release.cmake
    BUILD_CONFIG profile

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Nov 2017 20:33:17 +0000

mariadb-10.1 (1:10.1.29-3) unstable; urgency=medium

  * Change the default optimization level to -O2 to fix arm64 build

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Nov 2017 15:33:21 +0000

mariadb-10.1 (1:10.1.29-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Update the d/changelog with CVEs

  [ Ondřej Surý ]
  * Revert to using system pcre library (Closes: #882329)
  * Bump the epoch to fix the mess created by mariadb-10.2 upload
    (Closes: #881898)

  [ Christian Ehrhardt ]
  * d/t/upstream: skip func_regexp_pcre on s390x

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Nov 2017 06:03:17 +0000

mariadb-10.1 (10.1.29-1) unstable; urgency=medium

  * New upstream version 10.1.29, includes fixes for the following
    security vulnerabilities:
    - [CVE-2017-10378]: Optimizer component to cause denial of service
      conditions
    - [CVE-2017-10268]: Replication component to access data
    - [MDEV-13819]: Server crashes in Item_func_in::val_int or Assertion
      `in_item' failed in virtual longlong Item_func_in::val_int
  * Remove the mariadb-test-* packages as they are now provided by
    mariadb-10.2 (Closes: #881898)
  * Rebase patches for new upstream version.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 16 Nov 2017 15:24:36 +0000

mariadb-10.1 (10.1.28-2) unstable; urgency=high

  * Add libconfig-inifiles-perl to mariadb-client-10.1 depends to fix
    mytop (Closes: #875708)
  * Add mips64el to the list of platforms that are allowed to fail test
    suite (Closes: #879637)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 12 Nov 2017 11:03:20 +0000

mariadb-10.1 (10.1.28-1) unstable; urgency=medium

  * New upstream version 10.1.28
  * Rebase patches on top of MariaDB 10.1.28
  * Add extra symbols aliases for libmariadbclient_16

 -- Ondřej Surý <ondrej@debian.org>  Mon, 09 Oct 2017 22:07:43 +0000

mariadb-10.1 (10.1.26-1) unstable; urgency=medium

  * Ignore upstream debian/ directory when importing upstream tarball
  * New upstream version 10.1.26
  * Refresh patches for MariaDB 10.1.26
  * Remove unstable tests patches for unstable build, so we see what is
    really failing and what is not

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Aug 2017 20:41:46 +0200

mariadb-10.1 (10.1.25-1) unstable; urgency=medium

  * New upstream version 10.1.25
  * Update quilt patches on top of mariadb-10.1.25 release
  * Explicitly add dh_systemd_start snippets to mariadb-server-10.1
    because it's all messed up with different name for sysvinit ('mysql')
    and systemd ('mariadb') (Closes: #865870)
  * Don't disable PIE, it's enabled by upstream anyway (Closes: #865737)
  * Add default socket location for client (Closes: #864662)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 30 Jul 2017 14:15:48 +0200

mariadb-10.1 (10.1.24-6) unstable; urgency=medium

  * Run invoke-rc.d mysql maintscript snippets only when running under
    sysvinit (Closes: #864593)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jun 2017 11:12:16 +0200

mariadb-10.1 (10.1.24-5) unstable; urgency=medium

  * Add @SYSTEMD_EXECSTARTPOST@ replacement token to mariadb@.service, so
    the /var/run/mysqld directory is created even for multi-server setup
    (Closes: #865083)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Jun 2017 08:52:26 +0200

mariadb-10.1 (10.1.24-4) unstable; urgency=medium

  [ James Cowgill ]
  * Disable jemalloc on mips*. (Closes: #864340)
  * Update C11 atomics to have correct semantics (Closes: #864774)

  [ Ondřej Surý ]
  * Refresh patches after C11 atomics patch update
  * Merge mytop script improvements from src:mytop package (Original
    patches by Philipp Matthias Hahn, Werner Detter, Olaf van der Spek,
    and Steffen Zieger) (Closes: #864762)

  [ Svante Signell ]
  * Fix FTBFS on Debian GNU/Hurd (Closes: #861166)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Jun 2017 07:09:50 +0200

mariadb-10.1 (10.1.24-3) unstable; urgency=medium

  * Team upload.
  * Add mips-innobase-atomic.patch, fixing FTBFS on 32-bit mips*, thanks to
    James Cowgill.  (Closes: #864298)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Jun 2017 02:23:44 +0200

mariadb-10.1 (10.1.24-2) unstable; urgency=medium

  * Add Breaks: cqrlog (<< 1.9.0-5~) to ensure correct upgrade order
    (Closes: #864159)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Jun 2017 14:29:52 +0200

mariadb-10.1 (10.1.24-1) unstable; urgency=medium

  * New upstream version 10.1.24, includes fixes for the following
    high-priority regression fixes:
    + MDEV-11842: Fail to insert on a table where a field has no default
    + MDEV-12075: innodb_use_fallocate does not work in MariaDB
      Server 10.1.21
  * Refresh patches on top of MariaDB 10.1.24
  * Fix FTBFS in tests: Add cracklib-runtime to Build-Depends

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Jun 2017 09:25:19 +0200

mariadb-10.1 (10.1.23-9+deb9u1) stretch; urgency=medium

  [ Ondřej Surý ]
  * Add Breaks: cqrlog (<< 1.9.0-5~) to ensure correct upgrade order
    (Closes: #864159)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Jun 2017 21:11:23 +0200

mariadb-10.1 (10.1.23-9) unstable; urgency=medium

  * Fix the invalid location of insserv configuration snippet
    (Thanks Michael Biebl for catching that)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 May 2017 09:26:33 +0200

mariadb-10.1 (10.1.23-8) unstable; urgency=medium

  * Use /etc/insserv.conf.d/mariadb to provide $database system facility
    (Closes: #862447)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 13 May 2017 11:08:43 +0200

mariadb-10.1 (10.1.23-7) unstable; urgency=medium

  * Remove hard Breaks/Replaces with mysql-server and mysql-client
  * Move virtual packages from Breaks to Conflicts (Debian Policy 7.6.2)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 May 2017 12:21:33 +0200

mariadb-10.1 (10.1.23-6) unstable; urgency=medium

  * Also fix the same assertion failure in xtradb (Closes: #862103)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 May 2017 19:51:47 +0200

mariadb-10.1 (10.1.23-5) unstable; urgency=medium

  * Add upstream patch to fix assertion failure in InnoDB storage engine
    (Closes: #862103)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 May 2017 17:21:55 +0200

mariadb-10.1 (10.1.23-4) unstable; urgency=medium

  * Properly declare conflict on mytop (Closes: #861913)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 May 2017 11:31:13 +0200

mariadb-10.1 (10.1.23-3) unstable; urgency=medium

  * Remove two internal symbols (ll2str and longlong2str) from
    kfrebsd-amd64 symbols file

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 May 2017 13:19:00 +0200

mariadb-10.1 (10.1.23-2) unstable; urgency=medium

  * Add CVE list for 10.1.23 release
  * Fix FTBFS on kfrebsd-any due missing .service files

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 May 2017 10:55:06 +0200

mariadb-10.1 (10.1.23-1) unstable; urgency=medium

  * New upstream version 10.1.23, includes fixes for the following
    security vulnerabilities:
   - [CVE-2017-3302]: use-after-free in C client library for MySQL
   - [CVE-2017-3313]: unauthorized (local) access to critical data or
     complete access to all MySQL Server accessible data
   - [CVE-2017-3308]: unauthorized (network) ability to cause a hang or
     frequently repeatable crash
   - [CVE-2017-3309]: unauthorized (network) ability to cause a hang or
     frequently repeatable crash
   - [CVE-2017-3453]: unauthorized (network) ability to cause a hang or
     frequently repeatable crash
   - [CVE-2017-3456]: unauthorized (network) ability to cause a hang or
     frequently repeatable crash
   - [CVE-2017-3464]: unauthorized update, insert or delete access to some
     of MySQL Server accessible data
  * Refresh debian/patches on top of MariaDB 10.1.23 release
  * debian/gbp.conf: Filter most common cruft in the orig tarball
  * debian/rules: Use --fail-missing to catch extra upstream files
  * debian/*.manpages: Merge into debian/*.install
  * debian/*.install: Add few missing binaries into various packages
  * Declare mariadb-plugin-tokudb as available only on (linux-)amd64
    to fix FTBFS on kfreebsd-amd64
  * Remove the extra sanity check as it is already there via standard
    dh_installinit (|| exit 0) (Closes: #861782)
  * Stop /usr/sbin/mysqld in prerm script even with systemd
  * Move mariadb.pc into proper multiarch directory (Closes: #852621)
  * Add libarchive-dev needed by mariabackup to Build-Depends
  * debian/control: run wrap-and-sort -a
  * Move mysql_install_db from mariadb-server-10.1 to
    mariadb-server-core-10.1 (Closes: #840646)
  * Add Provides: $database to mysql.init - this partially addresses
    #852776
  * Call dh_systemd_start with --no-restart-after-upgrade
    (Closes: #853137)
  * d/rules: Remove dh_prep override (legacy cruft)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 May 2017 07:23:23 +0200

mariadb-10.1 (10.1.22-4) unstable; urgency=medium

  * Fix small typo in d/rules that caused MySQL version suffix to not
    contain information about Debian build

 -- Ondřej Surý <ondrej@debian.org>  Sat, 29 Apr 2017 21:56:23 +0200

mariadb-10.1 (10.1.22-3) unstable; urgency=medium

  * Use pidof instead of pgrep, so we don't have to depend on procps
  * Stop stopping mariadb server that many times and just add a simple
    check to preinst that it has been really stopped (Closes: #852495)
  * Fix small typo in gettid patch
  * Disable TokuDB on kfreebsd-amd64

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Mar 2017 22:59:06 +0200

mariadb-10.1 (10.1.22-2) unstable; urgency=medium

  [ Ondřej Surý ]
  * Add correct kfreebsd-i386 symbols file (but this needs to be fixed in
    how upstream uses linker)
  * Update italian translation (Closes: #858300)

  [ Otto Kekäläinen ]
  * Add Vietnamese translation by Trần Ngọc Quân
  * Add Finnish translation by Antti Järvinen

  [ Ondřej Surý ]
  * Disable test suite on hppa, don't fail test suite on more unstable
    platforms: alpha, powerpc, and x32
  * Add swedish debconf translation (Closes: #858536)
  * Add Catalan debconf translation (Closes: #858632)
  * Use thr_self() as gettid implementation onf __FreeBSD_kernel__
  * Make mariadb-server-10.1 installable on kFreeBSD and Hurd (Closes: #851687)
  * Update Turkish debconf translation (Closes: #858340)
  * Disable specific tests on hppa to make the build succeed (Courtesy of
    John David Anglin) (Closes: #858869)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Mar 2017 22:59:01 +0200

mariadb-10.1 (10.1.22-1) unstable; urgency=high

  [ Otto Kekäläinen ]
  * New upstream release 10.1.22. Includes fixes for the following
    security vulnerabilities:
    - CVE-2017-3313
    - CVE-2017-3302
  * New upstream also includes fix to logrotate so that it no longer
    risks interrupting binary/relay log processing on the server.
    https://github.com/MariaDB/server/commit/156cf86defdc59353f37f6
  * Add a NEWS.Debian item with same contents as the Stretch release notes

  [ Ondřej Surý ]
  * Add myself to Uploaders
  * Use https URI for Homepage
  * Use /usr/share/dpkg/default.mk to define dpkg-architecture and other
    build variables
  * Install and use non-versioned symbols files for kFreeBSD and Hurd
    architectures
  * Make mysql_config and mariadb.pc return -lmariadbclient instead of
    missing -lmysqlclient
  * Add mysqlclient.pc -> mariadb.pc symlink into
    libmariadbclient-dev-compat package
  * MDEV-11884: Fix logrotate failing if mysqld is not running (Closes: #830976)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Mar 2017 15:23:26 +0100

mariadb-10.1 (10.1.21-5) unstable; urgency=low

  [ James Clarke ]
  * Make debian/mariadb-server-10.1.install executable (Closes: #852728)
  * Allow mariadb-plugin-tokudb/mroonga on non-linux and non-release arches
  * Detect whether libatomic is needed rather than hard-coding for mips
  * Use host architecture, not build architecture, and clean up variables
  * General clean-up in d/rules

 -- Otto Kekäläinen <otto@debian.org>  Fri, 27 Jan 2017 20:42:36 +0200

mariadb-10.1 (10.1.21-4) unstable; urgency=low

  * Hotfix to full build failure: Add missing galera_new_cluster.1 to patch

 -- Otto Kekäläinen <otto@debian.org>  Thu, 26 Jan 2017 23:33:32 +0200

mariadb-10.1 (10.1.21-3) unstable; urgency=low

  [ Ian Gilfillan ]
  * Extend WSREP and Galera man pages patch to cover all commands

  [ Dieter Adriaenssens ]
  * Specify Architecture for mariadb-plugin-mroonga and mariadb-plugin-tokudb
    (Closes: #852709)

  [ James Clarke ]
  * Fix FTBFS on non-Linux architectures (Closes: #852728)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 26 Jan 2017 22:18:26 +0200

mariadb-10.1 (10.1.21-2) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Implement systemd packaging the Debian way
  * Extend README.Debian regarding new systemd files
  * Add config file comments about SysV init and systemd differences
  * Extend Debian.README with section about mixing with packages MariaDB.org
  * Update /etc/init.d/mysql after comparison with upstream MariaDB 10.1.21
  * Run chown much faster on the datadir during install/update
  * Check if /var/lib/mysql exists before running 'find' on it
  * Skip mysqld stopping if no mysqld process is running at all
  * Update French debconf translation by Baptiste Jammet (Closes: #850066)
  * Remove unnecessary XS-Testsuite field (as instructed by Lintian)
  * Add a modified version of upstream autobake-deb script to utilize CI tools
  * Fix server config example on how to enable SSL with YaSSL (Closes: #851132)
  * Make commands mariadb and mariadbcheck available with symlinks

  [ Jean Weisbuch ]
  * Update Innotop to latest version

  [ Ian Gilfillan ]
  * Add wsrep_* man pages

 -- Otto Kekäläinen <otto@debian.org>  Wed, 25 Jan 2017 10:42:45 +0200

mariadb-10.1 (10.1.21-1) unstable; urgency=low

  [ Otto Kekäläinen ]
  * New upstream release 10.0.28. Includes fixes for the following
    security vulnerabilities (Closes: #851759, Closes: ##849435):
    - CVE-2017-3318
    - CVE-2017-3317
    - CVE-2017-3312
    - CVE-2017-3291
    - CVE-2017-3265
    - CVE-2017-3258
    - CVE-2017-3257
    - CVE-2017-3244
    - CVE-2017-3243
    - CVE-2017-3238
    - CVE-2016-6664
  * Add new program introduced in upstream 10.1.21: mysqld_safe_helper
  * Deb-CI: remove parameter --skip-ndbcluster not available in 10.1 any more
  * Make libmariadbclient18 depend on mysql-common only (Closes: #850216)
  * Fix misleading config file comment (Closes: #677223)
  * Update preinst variable $this_version from 10.0 to 10.1 (Closes: #851257)

  [ Kristian Nielsen ]
  * Re-implement passwordless root login (Closes: #851131)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 19 Jan 2017 11:33:01 +0200

mariadb-10.1 (10.1.20-3) unstable; urgency=low

  [ Vicențiu Ciorbaru ]
  * Update debian rules to also account for mipsel

 -- Otto Kekäläinen <otto@debian.org>  Sat, 24 Dec 2016 20:23:23 +0200

mariadb-10.1 (10.1.20-2) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Upload to unstable
  * Previous version string should had been ~exp1, thus this
    first upload to unstable is -2 and not -1 as normal
  * Disable test suite temporairly due to false regressions

  [ Dieter Adriaenssens ]
  * fix Vcs-git link format and repo name
  * update 10.0 to 10.1 in README files

  [ Vicențiu Ciorbaru ]
  * Fix mips missing atomics primitives

 -- Otto Kekäläinen <otto@debian.org>  Sat, 24 Dec 2016 09:54:59 +0200

mariadb-10.1 (10.1.20-1) experimental; urgency=low

  * Upgrade package to new MariaDB 10.1.x series:
    - New upstream release  10.1.20
    - Refresh patches after 10.1.20 import
    - Update strings 10.0 -> 10.1 after importing 10.1.20
    - Refresh patches after 10.1.20 import
    - Update d/control after 10.1 import
    - Use https protected git url in d/control
    - Backwards compatible XS-Testsuite syntax in d/control
    - Import debian/* changes done in upstream 10.1
    - Replace deprecated iproute with iproute2
    - Remove unnecessary dependencies as packages are Essential anyway
    - Remove unnecessary and big file mysql_embedded
    - Switch to 10.1 style build flag for unix socket auth module in d/rules
    - Update d/copyright after 10.1 import
    - Add missing aria_add_gis_sp.sql to mariadb-server-10.1
    - Ship SELinux and AppArmor files with the server, but as inactive
    - New package from upstream 10.1: GSS API (Kerberos) client and server
    - Extend GSSAPI plugin descriptions to satisfy Lintian
    - New plugin from upstream 10.1: Cracklib password validation

 -- Otto Kekäläinen <otto@debian.org>  Tue, 20 Dec 2016 22:46:59 +0200

mariadb-10.0 (10.0.28-3) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Move libmariadbd and -dev next to each other for a more logical flow in d/control
  * Move mariadb-test to last in file for a more logical flow in d/control
  * Clean away unused Lintian overrides
  * Add Lintian override for impossible mysql_config multi-arch requirement
  * Update Debian copyright based on the 2016 git log author list
  * Remove unnecessary /var/lib/mysql-upgrade (Closes: #848620)

  [ Vicențiu Ciorbaru ]
  * Fix connect.upd test in armhf
  * Fix mroonga/storage.index_read_multiple_double test in armhf

 -- Otto Kekäläinen <otto@debian.org>  Tue, 20 Dec 2016 21:59:47 +0200

mariadb-10.0 (10.0.28-2) unstable; urgency=low

  [ Samuel Thibault ]
  * patches/hurd_socket.patch: Also avoid non-working socket path length check
    on hurd-i386.
  * rules: Drop symbols on hurd-i386 too (Closes: #842696).

  [ Daniel Black ]
  * Don't install private mysql header files in libmariadbclient-dev

  [ Otto Kekäläinen ]
  * Update libmariadbd18 description and contents to match latest upstream
  * Mark missing Multi-Arch as suggested by Multiarch hinter
  * Move plugins to $ARCH/*/mariadb18 to meet multiarch needs (Closes: #739452)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 11 Nov 2016 22:03:33 +0200

mariadb-10.0 (10.0.28-1) unstable; urgency=low

  [ Vicențiu Ciorbaru ]
  * Fix tokudb jemalloc linking

  [ Otto Kekäläinen ]
  * New upstream release 10.0.28. Includes fixes for the following
    security vulnerabilities:
    - CVE-2016-8283
    - CVE-2016-7440
    - CVE-2016-6663
    - CVE-2016-5629
    - CVE-2016-5626
    - CVE-2016-5624
    - CVE-2016-5616
    - CVE-2016-5584
    - CVE-2016-3492
  * Drop 4 patches that have been applied upstream.
  * Delete runnable files from mariadb-test-data as they were only
    needed at build time to generate tests.

 -- Otto Kekäläinen <otto@debian.org>  Fri, 28 Oct 2016 22:51:14 +0300

mariadb-10.0 (10.0.27-2) unstable; urgency=low

  [ Dieter Adriaenssens ]
  * Fix typo in README.Contributor
  * Improve documentation on how to clean the build env

  [ James Cowgill ]
  * Mips build and testsuite fixes (Closes: #838557, Closes: #838914)
    - Permit 93 as a valid value of the ENOTEMPTY error in the testsuite
    - Correctly fix mips64 multiplication in taocrypt
    - Ensure groonga is built with libatomic
    - Handle unaligned buffers in connect's TYPBLK class
    - Fix DEFAULT_MACHINE on mips
    - Remove various tests from unstable-tests which now pass on MIPS
    - Update debian/unstable-tests.mips*

  [ Kristian Nielsen ]
  * Fix missing path for perl in autopkgtest (Closes: #809022)
  * Fix test failures on hppa due to wrong enoempty (Closes: #837369)

 -- Otto Kekäläinen <otto@debian.org>  Sun, 02 Oct 2016 09:22:59 +0300

mariadb-10.0 (10.0.27-1) unstable; urgency=low

  * New upstream release 10.0.27
  * Remove 3 patches after 10.0.27 import as they have been applied
    upstream.

 -- Otto Kekäläinen <otto@debian.org>  Wed, 07 Sep 2016 23:05:28 +0300

mariadb-10.0 (10.0.26-3) unstable; urgency=low

  [ Dieter Adriaenssens ]
  * Add DEP-12 formatted upstream metadata file (Closes: #808421)

  [ Vicențiu Ciorbaru ]
  * Update innodb_xtradb patch to introduce memory barrier after lock
  * Fix failing shutdown with gcc v6

  [ Otto Kekäläinen ]
  * Extend commit d5af196 with old name of package libmariadb-dev-compat
  * Extend commit 8d2a7c9 and actually install the tokuftdump man page
  * Update mariadb-test dependencies to include also libmariadbclient18
  * Add path to fix for sporadically failing test main.information_schema_stats
  * d/rules: NUMJOBS must have a default value

 -- Otto Kekäläinen <otto@debian.org>  Wed, 17 Aug 2016 00:31:02 +0300

mariadb-10.0 (10.0.26-2) unstable; urgency=low

  [ Vicențiu Ciorbaru ]
  * Add patch to correctly revert changes from 10.0.26 that caused
    build failure regression on PPC64el

  [ Paul Gevers ]
  * Add autopkg tests for MariaDB 10.0 (Closes: #809022)

  [ Axel Beckert ]
  * Extend mariadb-server to purge gracefully if datadir is a mountpoint
    (Closes: #829491)

  [ Ian Gilfillan ]
  * Add a patch to provide a man page for tokuftdump

  [ Robie Basak ]
  * Re-add libmariadbclient18 and libmariadbclient-dev
  * Add libmariadbclient-dev-compat package

  [ Otto Kekäläinen ]
  * d/control: libmariadbclient18 must be 'Multi-Arch: same'
  * Make libmariadbclient-dev-compat conflict with libmariadb-dev-compat
    (Closes: #831229)
  * Add libmariadbclient-dev as dependency for libmariadbd-dev
  * Replace hacky sed of libmysqlclient->libmariadbclient with proper patch
  * Update symbols file to match newest libmariadbclient18
  * Updated Danish translation by Joe Hansen (Closes: #830592)
  * Remove mariadb-plugin-cassandra until libthrif-dev lands in unstable
  * Make libdbd-mysql-perl and friends Recommends instead of strict Depends
    (Closes: #793787)
  * Documentation and spelling fixes
  * Remove mysqlbug binary as it is not used for MariaDB
  * Update default config files with more secure TLS examples

 -- Otto Kekäläinen <otto@debian.org>  Fri, 29 Jul 2016 21:42:50 +0300

mariadb-10.0 (10.0.26-1) unstable; urgency=low

  * Updated French translation by Baptiste Jammet (Closes: #826879)
  * New upstream release 10.0.26. Includes fixes for the following
    security vulnerabilities:
    - CVE-2016-5440
    - CVE-2016-3615
    - CVE-2016-3521
    - CVE-2016-3477
  * Updated old changelog entries to include new CVE identifiers.
  * Refresh patches after 10.0.26 import

 -- Otto Kekäläinen <otto@debian.org>  Fri, 24 Jun 2016 17:05:44 +0300

mariadb-10.0 (10.0.25-1) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Revert previous changes tailored for Ubuntu 16.04 compatibility.
  * New upstream release 10.0.25. Includes fixes for the following
    security vulnerabilities (Closes: #823325):
    - CVE-2016-0666
    - CVE-2016-0655
    - CVE-2016-0648
    - CVE-2016-0647
    - CVE-2016-0643
    - CVE-2016-5444
    - CVE-2016-3459
    - CVE-2016-3452
  * Updated old changelog entries to include new CVE identifiers.
  * Upstream included changes to logrotate script that supports systems that
    has multiple mysqld processes running (Closes: #810968).
  * Updated Dutch translation by Frans Spiesschaert (Closes: #822894).
  * Updated Spanish translation by Javier Fernández-Sanguino Peña
    (Closes: #823099).
  * Updated Russian translation by Yuri Kozlov (Closes: #823422).
  * Updated German translation by Chris Leick (Closes: #824487).
  * Updated Brazilian Portuguese translation (Closes: #824644).
  * Updated Turkish translation by Atila KOÇ (Closes: #825802).
  * Add patch to provide passwordless root accounts for test suite.
  * Updated Japanese translation by Takuma Yamada (Closes: #825813).

  [ Vicențiu Ciorbaru ]
  * Backport upstream MDEV-9479 fix: oqgraph fails to build with boost 1.60

 -- Otto Kekäläinen <otto@debian.org>  Mon, 30 May 2016 22:43:30 +0300

mariadb-10.0 (10.0.24-7) unstable; urgency=low

  * Temporarily remove mariadb-plugin-cassandra as Debian FTP bot thinks
    it wasn't there before 10.0.24-6 and put the package in the NEW queue.

 -- Otto Kekäläinen <otto@debian.org>  Wed, 13 Apr 2016 13:24:28 +0300

mariadb-10.0 (10.0.24-6) unstable; urgency=low

  * Move mysql_embedded from client package to client-core package,
    equally as is in mysql-client-core-5.6 and -5.7 (LP: #1568077).
  * Add breaks/replaces for mariadb-client to accommodate the above.
  * Add conflicts/breaks/replaces for MySQL 5.7 series packages now
    when mysql-5.7 entered the Ubuntu repositories (LP: #1568285).
  * Detect properly if there is an incompatible data directory from 5.7,
    save it to another location and initialize a new data directory so that the
    installation can complete properly without leaving dpkg in an inconsistent
    state.
  * Remove all old passwordless root account lines to close a potential
    security vulnerability (LP: #1561062).

 -- Otto Kekäläinen <otto@debian.org>  Wed, 13 Apr 2016 10:56:10 +0300

mariadb-10.0 (10.0.24-5) unstable; urgency=low

  * Disable sporadically failing rpl_binlog_index test on PowerPC.
  * Disable another sporadic on amd64 and update all Jira links.
  * Fix typo in Mroonga prerm script.

 -- Otto Kekäläinen <otto@debian.org>  Sat, 12 Mar 2016 10:08:23 +0200

mariadb-10.0 (10.0.24-4) unstable; urgency=low

  * Update contributor documentation to match git-buildpackage version in sid.
  * Add libxml and unixOBDC as build-depends for ConnectSE as done by in
    upstream (Closes: #814944).
  * Upload to via NEW as mariadb-10.0 was accidentally removed from Debian
    unstable archives.

 -- Otto Kekäläinen <otto@debian.org>  Thu, 10 Mar 2016 18:40:51 +0200

mariadb-10.0 (10.0.24-3) unstable; urgency=low

  * Fix typo in rules file about Mroonga control section
  * Add main.delayed test exception to more platforms
  * Install mysql_embedded man page correctly

 -- Otto Kekäläinen <otto@debian.org>  Sun, 06 Mar 2016 22:20:52 +0200

mariadb-10.0 (10.0.24-2) unstable; urgency=low

  * Make new plugin packages breaks+replaces mariadb-server-10.0 as
    the files used to reside there (Closes: #815377).
  * Disable main.delayed that has been confirmed to be a false positive
    caused by built platform resource limits.
  * Disable multiple s390x tests that only fail on Ubuntu/Launchpad and
    cannot be reproduced anywhere else.

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 04 Mar 2016 08:38:25 +0200

mariadb-10.0 (10.0.24-1) unstable; urgency=low

  [ Otto Kekäläinen ]
  * New upstream release 10.0.24
    - Drop auth_socket patches as MDEV-8375 was partially fixed upstream
    - Refresh other patches
  * New upstream release includes fixes for the following security
    vulnerabilities:
    - CVE-2016-0668
    - CVE-2016-0650
    - CVE-2016-0649
    - CVE-2016-0646
    - CVE-2016-0644
    - CVE-2016-0641
    - CVE-2016-0640
  * Update filenames in d/copyright

  [ Ian Gilfillan ]
  * Add missing mysql_embedded man page

 -- Otto Kekäläinen <otto@seravo.fi>  Sat, 20 Feb 2016 14:23:50 +0200

mariadb-10.0 (10.0.23-3) unstable; urgency=low

  * Add Lintian overrides for TokuDB sources that indeed need autotools files
  * Split TokuDB, Mroonga, Spider and Cassandra into their own packages and
    start using new naming scheme 'mariadb-plugin-xzy' and rename existing
    Connect and OQGraph packages accordingly (Closes: #773727)
  * There is no need for mariadb-test packages to contain the version in the
    package name, so remove it. It only makes sense to keep the version number
    in the client and server packages, which users actually want to pin to.
  * Update standards version

 -- Otto Kekäläinen <otto@seravo.fi>  Tue, 26 Jan 2016 11:34:48 +0200

mariadb-10.0 (10.0.23-2) unstable; urgency=low

  * Skip unstable Spider tests on Launchpad s390x builds
  * Extend install lists with missing files after reviewing the list
    of files produced by the build process
  * Update server README.Debian to match current unix socekt authentication
  * Lintian fixes and more updates to TokuDB plugin copyright paths
  * Move mysql_upgrade to server core package so that Akonadi and similar
    core package consumers can upgrade the database. Also update control file
    with breaks/replaces to allow smooth upgrades (Closes: #793977).
  * Update slow_query_log_file configuration syntax to match upstream's. Also
    fixes #677222 in MariaDB packages.
  * Rename and install Apport hook correctly
  * Remove Taocrypt workaround fixed upstream long since #627208
  * Removed CFLAGS and CXXFLAGS as suggested by Lars Tangvald and also done
    in mysql-5.6 packaging commit id 16a64e810e28f1d0b66ede274cd4c2b1a425fecb
  * Unmask the systemd mysql.service if left behind by a mysql-server-5.6
    installation, otherwise the MariaDB service would remain masked too.
  * Add gdb to build-deps as suggested in #627208 to get automatic stack traces
  * Updated Turkish translation by Atila KOÇ (Closes: #811414)

 -- Otto Kekäläinen <otto@seravo.fi>  Sat, 23 Jan 2016 23:07:15 +0200

mariadb-10.0 (10.0.23-1) unstable; urgency=low

  * New upstream release 10.0.23. Includes fixes for the following
    security vulnerabilities:
    - CVE-2016-2047
    - CVE-2016-0651
    - CVE-2016-0642
    - CVE-2016-0616
    - CVE-2016-0609
    - CVE-2016-0608
    - CVE-2016-0606
    - CVE-2016-0600
    - CVE-2016-0598
    - CVE-2016-0597
    - CVE-2016-0596
    - CVE-2016-0546
    - CVE-2016-0505
  * Ignore test suite exit code on unstable platforms (mips, mipsel)
  * Update TokuDB plugin install and copyright paths to match latest
    release done under Percona ownership

 -- Otto Kekäläinen <otto@seravo.fi>  Sun, 20 Dec 2015 14:18:33 +0200

mariadb-10.0 (10.0.22-6) unstable; urgency=low

  * Add patches to make passwordless root login default on all new
    installs in all situations. Make auth_socket a built-in plugin.
  * Clean up previous passwordless root implementation so that it
    applies only to new installs and existing databases continue
    to operate with the passwords defined in their user tables
  * As disabled.def intrepreted test names in a special way, switch
    back to using --skip-test-list option
  * Make the watch file to make it better suited for the
    git-buildpackage workflow and remove call to uupdate

 -- Otto Kekäläinen <otto@seravo.fi>  Sat, 19 Dec 2015 22:28:23 +0200

mariadb-10.0 (10.0.22-5) unstable; urgency=low

  * Fix non-working path of unstable-test in d/rules
  * Add unstable test for amd64 to fix reproducible builds

 -- Otto Kekäläinen <otto@seravo.fi>  Thu, 17 Dec 2015 13:31:56 +0200

mariadb-10.0 (10.0.22-4) unstable; urgency=low

  * Upload to unstable

 -- Otto Kekäläinen <otto@seravo.fi>  Mon, 14 Dec 2015 00:49:14 +0200

mariadb-10.0 (10.0.22-4~exp1) experimental; urgency=low

  * Rewrite unstable tests section in d/rules that was not working

 -- Otto Kekäläinen <otto@seravo.fi>  Sun, 13 Dec 2015 21:36:48 +0200

mariadb-10.0 (10.0.22-3) unstable; urgency=low

  * Fix typo in d/rules
  * Extend list of unstable tests for arch mips, mipsel64 and alpha

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 11 Dec 2015 21:57:23 +0200

mariadb-10.0 (10.0.22-2) unstable; urgency=low

  * Escape d/rules file correctly to avoid parse error.
  * Remove patches/os_sync_Free patch that is not intended for production use.

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 20 Nov 2015 23:11:09 +0200

mariadb-10.0 (10.0.22-2~exp2) experimental; urgency=low

  [ Alexander Barkov ]
  * Backport patch from upstream to fix MDEV-9091: mysqld crashes on shutdown
    after running TokuDB tests on Ubuntu
  * Backport patch from upstream to fix MDEV-8692: prefschema test failures

  [ Otto Kekäläinen ]
  * Replace old 'make test' structure with direct call on mysql-test-run and
    parallelize the test suite run in the Debian build.
  * Print in build log env info to help debug builds on different platforms.
  * Keep a list of unstable tests that are to be skipped on official builds.

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 13 Nov 2015 22:08:49 +0200

mariadb-10.0 (10.0.22-2~exp1) experimental; urgency=low

  * Add diagnostics to find out the problem in os_sync_free()
  * Backport fix for TokuDB crashes in build tests on Launchpad
    and enable TokuDB builds

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 13 Nov 2015 08:54:05 +0200

mariadb-10.0 (10.0.22-1) unstable; urgency=low

  [ Otto Kekäläinen ]
  * New upstream release. Includes fixes for the following security
    vulnerabilities (Closes: #802874):
    - CVE-2016-0610
    - CVE-2016-3471
    - CVE-2015-7744
    - CVE-2015-4802
    - CVE-2015-4807
    - CVE-2015-4815
    - CVE-2015-4826
    - CVE-2015-4830
    - CVE-2015-4836
    - CVE-2015-4858
    - CVE-2015-4861
    - CVE-2015-4870
    - CVE-2015-4913
    - CVE-2015-4792
  * New release includes updated man pages (Closes: #779992)
  * Update the most recent patches with proper DEP-3 compliant headers
  * Add CVE IDs to previous changelog entries

  [ Jean Weisbuch ]
  * Update mysqlreport to version 4.0

  [ Otto Kekäläinen ]

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 30 Oct 2015 11:42:30 +0200

mariadb-10.0 (10.0.21-3) unstable; urgency=low

  * Updated Brazilian Portuguese translation (Closes: #798048)
  * Upload 10.0.21 and all changes tested initially in experimental
    to unstable. Now sensible as mysql-5.6 has entered testing.

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 18 Sep 2015 23:04:53 +0300

mariadb-10.0 (10.0.21-2) experimental; urgency=low

  * Update gdb.conf to have tags signed by default
  * Add CVE IDs to previous changelog entries
  * Pass DEB_BUILD_ARCH to CMake options to enhance buils on some platforms
  * Test suite failures are now fatal on all platforms and not ignored anywhere
  * Revert most of commit 579282f and re-enable Mroonga

 -- Otto Kekäläinen <otto@seravo.fi>  Wed, 26 Aug 2015 18:20:54 +0300

mariadb-10.0 (10.0.21-1) experimental; urgency=low

  [ Otto Kekäläinen ]
  * Created libmariadbd18 and moved .so file from libmariadbd-dev there
  * Reproducible build improvement: Add LC_ALL=C to mysql.sym sort command
  * New upstream release.
    - Upstream added skip_log_error to mysqld_safe config (Closes: #781945)
    - Diffie-Helman modulus increased to 2048-bits (Closes: #788905)
  * New upstream release fixes the following security vulnerabilities:
    - CVE-2015-4816
    - CVE-2015-4819
    - CVE-2015-4879
    - CVE-2015-4895
  * Split mariadb-test-data-10.0 out of the main test package. This will save
    disk space in Debian archives as the arch independent data files are
    in one single package that can be used on all platforms and the package
    that is built on multiple platform shrinks significantly.

  [ Jean Weisbuch ]
  * The MYCHECK_RCPT variable can now be set from the default file.
  * The check_for_crashed_tables() function on the debian-start script has been
    fixed to be able to log (and email) the errors it encountered : Errors are
    sent to stderr by the CLI while only stdout was captured by the function.
  * The same function now also checks Aria tables along with MyISAM ones.

 -- Otto Kekäläinen <otto@seravo.fi>  Thu, 13 Aug 2015 10:08:38 +0200

mariadb-10.0 (10.0.20-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * mariadb-common: Depend on a version of mysql-common that ships
    /usr/share/mysql-common/configure-symlinks.  (Closes: #787533)
  * mariadb-common.postinst: Drop fallback my.cnf symlink management.
  * mariadb-common.preinst: Clean up my.cnf/my.cnf.old from the fallback.

  [ Otto Kekäläinen ]
  * Clean up old cruft from rules file after review by Sergei Golubchik
  * Unified config file layout with upstream .cnf layout
  * Recover mysql-upgrade dir/link handlig wrongly removed in f7caa041db
  * Minor Lintian and documentation fixes
  * Switch 'nm -n' to 'nm --defined-only' to improve reproducible builds

  [ Olaf van der Spek ]
  * Minor spell checking (Closes: #792123)

  [ Israel Tsadok ]
  * Fix mariadb-server-10.0.preinst script that failed to save a new
    /var/lib/mysql-upgrade/DATADIR.link if a previous DATADIR.link existed and
    the /var/lib/mysql directory was a symbolic link with an absolute path
    as target (Closes: #792918)

  [ Jean Weisbuch ]
  * Added a Debian default file for the mariadb-server-10.0 package which allows
    one to set the MYSQLD_STARTUP_TIMEOUT variable used in the init script

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 24 Jul 2015 23:00:00 +0300

mariadb-10.0 (10.0.20-2) unstable; urgency=low

  * Fix bash test logic in postinstall (Closes: #789589)
  * Add extra sort in d/rules mysqld.sym.gz command to satisfy Debian
    reproducible build requirements
  * Switch to utf8mb4 as default character set

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 03 Jul 2015 17:11:01 +0300

mariadb-10.0 (10.0.20-1) unstable; urgency=low

  * New upstream release. Includes fixes for the following security
    vulnerabilities:
    - CVE-2015-2582
    - CVE-2015-2620
    - CVE-2015-2643
    - CVE-2015-2648
    - CVE-2015-3152: Client command line option --ssl-verify-server-cert (and
      MYSQL_OPT_SSL_VERIFY_SERVER_CERT option of the client API) when used
      together with --ssl will ensure that the established connection is
      SSL-encrypted and the MariaDB server has a valid certificate.
    - CVE-2015-4752
    - CVE-2015-4864
  * New release includes fix for memory corruption on arm64 (Closes: #787221)
  * Added patch to enhance build reproducibility regarding the file INFO_BIN

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 19 Jun 2015 13:01:56 +0300

mariadb-10.0 (10.0.19-1) unstable; urgency=low

  * New upstream release. Fixed the server crash caused by mysql_upgrade
    (MDEV-8115).
  * Upload to unstable from master branch as Jessie is not released.

 -- Otto Kekäläinen <otto@seravo.fi>  Sat, 09 May 2015 22:24:03 +0300

mariadb-10.0 (10.0.18-1~exp1) experimental; urgency=low

  * New upstream release. Includes fixes for the following security
    vulnerabilities:
    - CVE-2015-4866
    - CVE-2014-8964 bundled PCRE contained heap-based buffer overflow
      vulnerability that allowed the server to crash or have other unspecified
      impact via a crafted regular expression made possible with the
      REGEXP_SUBSTR function (MDEV-8006).
    - CVE-2015-0501
    - CVE-2015-2571
    - CVE-2015-0505
    - CVE-2015-0499
    - CVE-2015-4757
    - CVE-2015-4866
  * Cleanup in d/copyright
  * Make the mariadb-common depends versioned to guarantee that latest
    config files are installed

 -- Otto Kekäläinen <otto@seravo.fi>  Thu, 07 May 2015 23:21:20 +0300

mariadb-10.0 (10.0.17-1~exp2) experimental; urgency=low

  * d/control: Related to innochecksum manpage move, also break/replace
    the mysql-client-5.5/6 packages (Closes: #779873)
  * Add automatic fallback to the new /etc/mysql/my.cnf management scheme
    for cases where mysql-common/configure-symlinks is not yet available
    and users complain the installation ends up broken.
  * New release confirmed to build with GCC-5 (Closes: #777996)

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 06 Mar 2015 16:42:21 +0200

mariadb-10.0 (10.0.17-1~exp1) experimental; urgency=low

  [ Jan Wagner ]
  * Adding mysqld_multi.server_lsb-header.patch, provides LSB headers for
    example initscript (Closes: #778762)
  * Adding mysqld_multi_confd.patch, makes mysqld_multi reading conf.d
    (Closes: #778761)

  [ Robie Basak ]
  * Move innochecksum back to mariadb-server-core-10.0 to align with other
    variants (LP: #1421520).
  * Fix typo in mariadb-server-10.0.postinst.
  * Fix typo in postinst mktemp call (LP: #1420831).

  [ Arnaud Fontaine ]
  * d/control: innochecksum manpage has been moved to mariadb-client-10.0 in
    10.0.13-1 (ba97056), thus add Breaks/Replaces in mariadb-client-10.0
    against mariadb-server-10.0 << 10.0.13-1~.

  [ Otto Kekäläinen ]
  * Follow to new /etc/mysql/my.cnf management scheme
  * Remove the my.cnf move command as it increases complexity too much and might
    emit an error code if mariadb-common is upgraded before mysql-common is.
  * Add patch to enhance build reproducibility
  * Remove /var/log/mysql.log from logrotate. Everything should be inside
    the mysql directory (/var/log/mysql/) and not directly on plain /var/log
  * New upstream release. Includes fixes for the following security
    vulnerabilities (changelog updated post release):
    - CVE-2015-2568
    - CVE-2015-2573
    - CVE-2015-0433
    - CVE-2015-0441

 -- Otto Kekäläinen <otto@seravo.fi>  Mon, 02 Mar 2015 20:01:13 +0200

mariadb-10.0 (10.0.16-1~exp3) experimental; urgency=low

  * Update the mail.ssl test to match new cacert.pem
  * Stop asking and setting a database root user password. Instead enable
    the auth_socket plugin and let unix user root access MariaDB without
    a separate password. Admins using sudo or cron scripts can use the
    same access too, and there is no debian-sys-maint password either anymore.

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 30 Jan 2015 18:52:55 +0200

mariadb-10.0 (10.0.16-1~exp2) experimental; urgency=low

  * Fix typo in preinstall script (Closes: #776494).
  * Backported new cacert.pem etc from 5.5 the replace the expired ones.

 -- Otto Kekäläinen <otto@seravo.fi>  Wed, 28 Jan 2015 20:57:23 +0200

mariadb-10.0 (10.0.16-1~exp1) experimental; urgency=low

  * New upstream release. Includes fixes for the following security
    vulnerabilities:
    - CVE-2015-0411
    - CVE-2015-0382
    - CVE-2015-0381
    - CVE-2015-0432
    - CVE-2014-6568
    - CVE-2015-0374

 -- Otto Kekäläinen <otto@seravo.fi>  Tue, 27 Jan 2015 17:04:21 +0200

mariadb-10.0 (10.0.15-2~exp1) experimental; urgency=low

  * Fix mariadb-server-10.0.postinst so that the flag removal will not emit
    an error code if there are no previous debian-*.flag files. This will
    fix a dpkg issue caught by piuparts testing.
  * Increase the debconf downgrade warning dialog priority to critical to make
    sure all users see it and understand why their system broke after downgrade.
  * Attempt to fix FTBFS on mips, mipsel, powerpc introduced by upstream
    release 10.0.15 (Closes: #772964).

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 12 Dec 2014 14:07:50 +0200

mariadb-10.0 (10.0.15-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * Bump libpcre3-dev Build-Depends to >= 2:8.35-3.2~ (Closes: #767903).

  [ Otto Kekäläinen }
  * New upstream release, includes fixes for the following security issues:
    - CVE-2014-6507
    - CVE-2014-6491
    - CVE-2014-6500
    - CVE-2014-6469
    - CVE-2014-6555
    - CVE-2014-6559
    - CVE-2014-6494
    - CVE-2014-6496
    - CVE-2014-6464
  * Disable on non-amd64 platforms the new Mroonga storage engine which
    was introduced in the new upstream release.
  * Allow mariadb-server-10.0 to overwrite file man1/mysql_plugin.1.gz in
    mysql-client-5.5 with breaks and replaces (Closes: #771213).
  * Clean up old debian-*.flag files from datadir to avoid unexpected
    behavior at later upgrades (Closes: #770177).

 -- Otto Kekäläinen <otto@seravo.fi>  Tue, 25 Nov 2014 21:45:43 +0200

mariadb-10.0 (10.0.14-4) unstable; urgency=low

  * Updated patch d/username-in-tests-replace.patch to fix the
    obfuscation done by anti-spam measures in the MariaDB
    commit message view (Closes: #769865).
  * Unified indentantion to two spaces in init file for easier
    debugging of #609537

 -- Otto Kekäläinen <otto@seravo.fi>  Mon, 17 Nov 2014 11:45:11 +0200

mariadb-10.0 (10.0.14-3) unstable; urgency=low

  * Added patch d/username-in-tests-replace.patch to fix
    test failure (Closes: #769212).
  * Added versioned dependency on libpcre3 (Closes: #767903).

 -- Otto Kekäläinen <otto@seravo.fi>  Wed, 12 Nov 2014 15:00:11 +0300

mariadb-10.0 (10.0.14-2) unstable; urgency=low

  [ Tobias Frost ]
  * Fix two lintian warnings in d/copyright (missing "-" between GPL and 2)
  * Always be verbose when building the package and show compiler args

  [ Otto Kekäläinen ]
  * Upload to unstable
  * Updated German translation by Chris Leick and Holger Wansing
    (Closes: #763952)
  * Updated Dutch translation by Frans Spiesschaert (Closes: #764013)
  * Removed libssl-dev from build dependencies in favour of using
    bundled YaSSL instead (Closes: #761911)
  * Fixed debconf value saving (Closes: #761452)
  * Re-enabled TokuDB after backporting upstream fix in MDEV-6815
  * Removed libmariadbclient packages that provided the Debian-only
    libmariadbclient.so library that nobody used. Instead developers are
    encouraged to use the libraries from the package libmariadb-client-lgpl
    instead (Closes: #739452) (Closes: #742172).

 -- Otto Kekäläinen <otto@seravo.fi>  Sat, 18 Oct 2014 19:00:11 +0300

mariadb-10.0 (10.0.14-1) experimental; urgency=low

  * New upstream release. (Closes: #757026)
  * d/control: Removed Provides: libmysqlclient-dev (Closes: #759309)
  * d/control: Removed Provides: libmysqld-dev with same motivation
  * Updated Swedish translation by Martin Bagge
    and Anders Jonsson (Closes: #762795)
  * Updated Spanish translation by Javier Fernandez-Sanguino (Closes: #762751)
  * Updated Portuguese translation by Miguel Figueiredo (Closes: #763194)
  * Updated Czech translation by Miroslav Kure (Closes: #763309)

 -- Otto Kekäläinen <otto@seravo.fi>  Thu, 28 Aug 2014 00:39:02 +0300

mariadb-10.0 (10.0.10-1) experimental; urgency=low

  * Initial Upload (Closes: #740473)

 -- Otto Kekäläinen <otto@seravo.fi>  Tue, 01 Apr 2014 09:56:38 +0300
